# GstPlay

The goal of the GstPlay library is to ease the integration of multimedia playback features in applications. Thus, if you need to build a media player from the ground-up, GstPlay provides the features you will most likely need.

An example player is available in gst-examples/playback/player/gst-play/.

Internally the GstPlay makes use of the `playbin3` element. The legacy `playbin2` can be selected if the `GST_PLAY_USE_PLAYBIN3=0` environment variable has been set.

Important note: If your application relies on the GstBus to get notifications from GstPlay, you need to add some explicit clean-up code in order to prevent the GstPlay object from leaking. See below for the details. If you use the GstPlaySignalAdapter, no special clean-up is required.

When the GstPlaySignalAdapter is not used, the GstBus owned by GstPlay should be set to flushing state before any attempt to drop the last reference of the GstPlay object. An example in C:

    ...
    GstBus *bus = gst_play_get_message_bus (player);
    gst_bus_set_flushing (bus, TRUE);
    gst_object_unref (bus);
    gst_object_unref (player);

The messages managed by the player contain a reference to itself, and if the bus watch is just removed together with dropping the player then the bus will simply keep them around forever (and the bus never goes away because the player has a strong reference to it, so there's a reference cycle as long as there are messages). Setting the bus to flushing state forces it to get rid of its queued messages, thus breaking any possible reference cycle.

## GstPlay

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPlay

Since : 1.20

### Class structure

#### GstPlayClass

### GstPlay.PlayClass

## GstPlay.Play

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstPlay.Play

Since : 1.20

## GstPlay.Play

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstPlay.Play

Since : 1.20

### Constructors

#### gst_play_new

    GstPlay *
    gst_play_new (GstPlayVideoRenderer * video_renderer)

Creates a new GstPlay instance.

Video is going to be rendered by video_renderer, or if NULL is provided no special video set up will be done and some default handling will be performed.

This also initializes GStreamer via `gst_init()` on the first call if this didn't happen before.

Parameters:

`video_renderer` ( [transfer: full][allow-none]) –

GstPlayVideoRenderer to use

Returns ( [transfer: full]) –

a new GstPlay instance

Since : 1.20

#### GstPlay.Play.prototype.new

    function GstPlay.Play.prototype.new(video_renderer: GstPlay.PlayVideoRenderer): {
        // javascript wrapper for 'gst_play_new'
    }

Creates a new GstPlay.Play instance.

Video is going to be rendered by video_renderer, or if null is provided no special video set up will be done and some default handling will be performed.

This also initializes GStreamer via `gst_init()` on the first call if this didn't happen before.

Parameters:

`video_renderer` (GstPlay.PlayVideoRenderer) –

GstPlayVideoRenderer to use

Returns (GstPlay.Play) –

a new GstPlay.Play instance

Since : 1.20

#### GstPlay.Play.new

    def GstPlay.Play.new (video_renderer):
        #python wrapper for 'gst_play_new'

Creates a new GstPlay.Play instance.

Video is going to be rendered by video_renderer, or if None is provided no special video set up will be done and some default handling will be performed.

This also initializes GStreamer via `gst_init()` on the first call if this didn't happen before.

Parameters:

`video_renderer` (GstPlay.PlayVideoRenderer) –

GstPlayVideoRenderer to use

Returns (GstPlay.Play) –

a new GstPlay.Play instance

Since : 1.20

### Methods

#### gst_play_get_audio_video_offset

    gint64
    gst_play_get_audio_video_offset (GstPlay * play)

Retrieve the current value of audio-video-offset property

Parameters:

`play` –

GstPlay instance

Returns –

The current value of audio-video-offset in nanoseconds

Since : 1.20

#### GstPlay.Play.prototype.get_audio_video_offset

    function GstPlay.Play.prototype.get_audio_video_offset(): {
        // javascript wrapper for 'gst_play_get_audio_video_offset'
    }

Retrieve the current value of audio-video-offset property

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Number) –

The current value of audio-video-offset in nanoseconds

Since : 1.20

#### GstPlay.Play.get_audio_video_offset

    def GstPlay.Play.get_audio_video_offset (self):
        #python wrapper for 'gst_play_get_audio_video_offset'

Retrieve the current value of audio-video-offset property

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (int) –

The current value of audio-video-offset in nanoseconds

Since : 1.20

#### gst_play_get_color_balance

    gdouble
    gst_play_get_color_balance (GstPlay * play,
                                GstPlayColorBalanceType type)

Retrieve the current value of the indicated type.

Parameters:

`play` –

GstPlay instance

`type` –

GstPlayColorBalanceType

Returns –

The current value of type, between [0,1]. In case of error -1 is returned.

Since : 1.20

#### GstPlay.Play.prototype.get_color_balance

    function GstPlay.Play.prototype.get_color_balance(type: GstPlay.PlayColorBalanceType): {
        // javascript wrapper for 'gst_play_get_color_balance'
    }

Retrieve the current value of the indicated type.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`type` (GstPlay.PlayColorBalanceType) –

GstPlay.PlayColorBalanceType

Returns (Number) –

The current value of type, between [0,1]. In case of error -1 is returned.

Since : 1.20

#### GstPlay.Play.get_color_balance

    def GstPlay.Play.get_color_balance (self, type):
        #python wrapper for 'gst_play_get_color_balance'

Retrieve the current value of the indicated type.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`type` (GstPlay.PlayColorBalanceType) –

GstPlay.PlayColorBalanceType

Returns (float) –

The current value of type, between [0,1]. In case of error -1 is returned.

Since : 1.20

#### gst_play_get_config

    GstStructure *
    gst_play_get_config (GstPlay * play)

Get a copy of the current configuration of the play. This configuration can either be modified and used for the gst_play_set_config call or it must be freed after usage.

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full]) –

a copy of the current configuration of play. Use gst_structure_free after usage or gst_play_set_config.

Since : 1.20

#### GstPlay.Play.prototype.get_config

    function GstPlay.Play.prototype.get_config(): {
        // javascript wrapper for 'gst_play_get_config'
    }

Get a copy of the current configuration of the play. This configuration can either be modified and used for the GstPlay.Play.prototype.set_config call or it must be freed after usage.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Gst.Structure) –

a copy of the current configuration of play. Use Gst.Structure.prototype.free after usage or GstPlay.Play.prototype.set_config.

Since : 1.20

#### GstPlay.Play.get_config

    def GstPlay.Play.get_config (self):
        #python wrapper for 'gst_play_get_config'

Get a copy of the current configuration of the play. This configuration can either be modified and used for the GstPlay.Play.set_config call or it must be freed after usage.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Gst.Structure) –

a copy of the current configuration of play. Use Gst.Structure.free after usage or GstPlay.Play.set_config.

Since : 1.20

#### gst_play_get_current_audio_track

    GstPlayAudioInfo *
    gst_play_get_current_audio_track (GstPlay * play)

A Function to get current audio GstPlayAudioInfo instance.

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full][nullable]) –

current audio track.

The caller should free it with g_object_unref

Since : 1.20

#### GstPlay.Play.prototype.get_current_audio_track

    function GstPlay.Play.prototype.get_current_audio_track(): {
        // javascript wrapper for 'gst_play_get_current_audio_track'
    }

A Function to get current audio GstPlay.PlayAudioInfo instance.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstPlay.PlayAudioInfo) –

current audio track.

The caller should free it with GObject.Object.prototype.unref

Since : 1.20

#### GstPlay.Play.get_current_audio_track

    def GstPlay.Play.get_current_audio_track (self):
        #python wrapper for 'gst_play_get_current_audio_track'

A Function to get current audio GstPlay.PlayAudioInfo instance.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstPlay.PlayAudioInfo) –

current audio track.

The caller should free it with GObject.Object.unref

Since : 1.20

#### gst_play_get_current_subtitle_track

    GstPlaySubtitleInfo *
    gst_play_get_current_subtitle_track (GstPlay * play)

A Function to get current subtitle GstPlaySubtitleInfo instance.

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full][nullable]) –

current subtitle track.

The caller should free it with g_object_unref

Since : 1.20

#### GstPlay.Play.prototype.get_current_subtitle_track

    function GstPlay.Play.prototype.get_current_subtitle_track(): {
        // javascript wrapper for 'gst_play_get_current_subtitle_track'
    }

A Function to get current subtitle GstPlay.PlaySubtitleInfo instance.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstPlay.PlaySubtitleInfo) –

current subtitle track.

The caller should free it with GObject.Object.prototype.unref

Since : 1.20

#### GstPlay.Play.get_current_subtitle_track

    def GstPlay.Play.get_current_subtitle_track (self):
        #python wrapper for 'gst_play_get_current_subtitle_track'

A Function to get current subtitle GstPlay.PlaySubtitleInfo instance.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstPlay.PlaySubtitleInfo) –

current subtitle track.

The caller should free it with GObject.Object.unref

Since : 1.20

#### gst_play_get_current_video_track

    GstPlayVideoInfo *
    gst_play_get_current_video_track (GstPlay * play)

A Function to get current video GstPlayVideoInfo instance.

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full][nullable]) –

current video track.

The caller should free it with g_object_unref

Since : 1.20

#### GstPlay.Play.prototype.get_current_video_track

    function GstPlay.Play.prototype.get_current_video_track(): {
        // javascript wrapper for 'gst_play_get_current_video_track'
    }

A Function to get current video GstPlay.PlayVideoInfo instance.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstPlay.PlayVideoInfo) –

current video track.

The caller should free it with GObject.Object.prototype.unref

Since : 1.20

#### GstPlay.Play.get_current_video_track

    def GstPlay.Play.get_current_video_track (self):
        #python wrapper for 'gst_play_get_current_video_track'

A Function to get current video GstPlay.PlayVideoInfo instance.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstPlay.PlayVideoInfo) –

current video track.

The caller should free it with GObject.Object.unref

Since : 1.20

#### gst_play_get_current_visualization

    gchar *
    gst_play_get_current_visualization (GstPlay * play)

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full][nullable]) –

Name of the currently enabled visualization. g_free after usage.

Since : 1.20

#### GstPlay.Play.prototype.get_current_visualization

    function GstPlay.Play.prototype.get_current_visualization(): {
        // javascript wrapper for 'gst_play_get_current_visualization'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (String) –

Name of the currently enabled visualization. GLib.prototype.free after usage.

Since : 1.20

#### GstPlay.Play.get_current_visualization

    def GstPlay.Play.get_current_visualization (self):
        #python wrapper for 'gst_play_get_current_visualization'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (str) –

Name of the currently enabled visualization. GLib.free after usage.

Since : 1.20

#### gst_play_get_duration

    GstClockTime
    gst_play_get_duration (GstPlay * play)

Retrieves the duration of the media stream that self represents.

Parameters:

`play` –

GstPlay instance

Returns –

the duration of the currently-playing media stream, in nanoseconds.

Since : 1.20

#### GstPlay.Play.prototype.get_duration

    function GstPlay.Play.prototype.get_duration(): {
        // javascript wrapper for 'gst_play_get_duration'
    }

Retrieves the duration of the media stream that self represents.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Number) –

the duration of the currently-playing media stream, in nanoseconds.

Since : 1.20

#### GstPlay.Play.get_duration

    def GstPlay.Play.get_duration (self):
        #python wrapper for 'gst_play_get_duration'

Retrieves the duration of the media stream that self represents.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (int) –

the duration of the currently-playing media stream, in nanoseconds.

Since : 1.20

#### gst_play_get_media_info

    GstPlayMediaInfo *
    gst_play_get_media_info (GstPlay * play)

A Function to get the current media info GstPlayMediaInfo instance.

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full][nullable]) –

media info instance.

The caller should free it with g_object_unref

Since : 1.20

#### GstPlay.Play.prototype.get_media_info

    function GstPlay.Play.prototype.get_media_info(): {
        // javascript wrapper for 'gst_play_get_media_info'
    }

A Function to get the current media info GstPlay.PlayMediaInfo instance.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstPlay.PlayMediaInfo) –

media info instance.

The caller should free it with GObject.Object.prototype.unref

Since : 1.20

#### GstPlay.Play.get_media_info

    def GstPlay.Play.get_media_info (self):
        #python wrapper for 'gst_play_get_media_info'

A Function to get the current media info GstPlay.PlayMediaInfo instance.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstPlay.PlayMediaInfo) –

media info instance.

The caller should free it with GObject.Object.unref

Since : 1.20

#### gst_play_get_message_bus

    GstBus *
    gst_play_get_message_bus (GstPlay * play)

GstPlay API exposes a GstBus instance which purpose is to provide data structures representing play-internal events in form of GstMessages of type GST_MESSAGE_APPLICATION.

Each message carries a "play-message" field of type GstPlayMessage. Further fields of the message data are specific to each possible value of that enumeration.

Applications can consume the messages asynchronously within their own event-loop / UI-thread etc. Note that in case the application does not consume the messages, the bus will accumulate these internally and eventually fill memory. To avoid that, the bus has to be set "flushing".

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full]) –

The play message bus instance

Since : 1.20

#### GstPlay.Play.prototype.get_message_bus

    function GstPlay.Play.prototype.get_message_bus(): {
        // javascript wrapper for 'gst_play_get_message_bus'
    }

GstPlay API exposes a Gst.Bus instance which purpose is to provide data structures representing play-internal events in form of Gst.Messages of type GST_MESSAGE_APPLICATION.

Each message carries a "play-message" field of type GstPlay.PlayMessage. Further fields of the message data are specific to each possible value of that enumeration.

Applications can consume the messages asynchronously within their own event-loop / UI-thread etc. Note that in case the application does not consume the messages, the bus will accumulate these internally and eventually fill memory. To avoid that, the bus has to be set "flushing".

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Gst.Bus) –

The play message bus instance

Since : 1.20

#### GstPlay.Play.get_message_bus

    def GstPlay.Play.get_message_bus (self):
        #python wrapper for 'gst_play_get_message_bus'

GstPlay API exposes a Gst.Bus instance which purpose is to provide data structures representing play-internal events in form of Gst.Messages of type GST_MESSAGE_APPLICATION.

Each message carries a "play-message" field of type GstPlay.PlayMessage. Further fields of the message data are specific to each possible value of that enumeration.

Applications can consume the messages asynchronously within their own event-loop / UI-thread etc. Note that in case the application does not consume the messages, the bus will accumulate these internally and eventually fill memory. To avoid that, the bus has to be set "flushing".

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Gst.Bus) –

The play message bus instance

Since : 1.20

#### gst_play_get_multiview_flags

    GstVideoMultiviewFlags
    gst_play_get_multiview_flags (GstPlay * play)

Retrieve the current value of the indicated type.

Parameters:

`play` –

GstPlay instance

Returns –

The current value of type, Default: 0x00000000 "none

Since : 1.20

#### GstPlay.Play.prototype.get_multiview_flags

    function GstPlay.Play.prototype.get_multiview_flags(): {
        // javascript wrapper for 'gst_play_get_multiview_flags'
    }

Retrieve the current value of the indicated type.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstVideo.VideoMultiviewFlags) –

The current value of type, Default: 0x00000000 "none

Since : 1.20

#### GstPlay.Play.get_multiview_flags

    def GstPlay.Play.get_multiview_flags (self):
        #python wrapper for 'gst_play_get_multiview_flags'

Retrieve the current value of the indicated type.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstVideo.VideoMultiviewFlags) –

The current value of type, Default: 0x00000000 "none

Since : 1.20

#### gst_play_get_multiview_mode

    GstVideoMultiviewFramePacking
    gst_play_get_multiview_mode (GstPlay * play)

Retrieve the current value of the indicated type.

Parameters:

`play` –

GstPlay instance

Returns –

The current value of type, Default: -1 "none"

Since : 1.20

#### GstPlay.Play.prototype.get_multiview_mode

    function GstPlay.Play.prototype.get_multiview_mode(): {
        // javascript wrapper for 'gst_play_get_multiview_mode'
    }

Retrieve the current value of the indicated type.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstVideo.VideoMultiviewFramePacking) –

The current value of type, Default: -1 "none"

Since : 1.20

#### GstPlay.Play.get_multiview_mode

    def GstPlay.Play.get_multiview_mode (self):
        #python wrapper for 'gst_play_get_multiview_mode'

Retrieve the current value of the indicated type.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (GstVideo.VideoMultiviewFramePacking) –

The current value of type, Default: -1 "none"

Since : 1.20

#### gst_play_get_mute

    gboolean
    gst_play_get_mute (GstPlay * play)

Parameters:

`play` –

GstPlay instance

Returns –

TRUE if the currently-playing stream is muted.

Since : 1.20

#### GstPlay.Play.prototype.get_mute

    function GstPlay.Play.prototype.get_mute(): {
        // javascript wrapper for 'gst_play_get_mute'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Number) –

true if the currently-playing stream is muted.

Since : 1.20

#### GstPlay.Play.get_mute

    def GstPlay.Play.get_mute (self):
        #python wrapper for 'gst_play_get_mute'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (bool) –

True if the currently-playing stream is muted.

Since : 1.20

#### gst_play_get_pipeline

    GstElement *
    gst_play_get_pipeline (GstPlay * play)

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full]) –

The internal playbin instance.

The caller should free it with g_object_unref

Since : 1.20

#### GstPlay.Play.prototype.get_pipeline

    function GstPlay.Play.prototype.get_pipeline(): {
        // javascript wrapper for 'gst_play_get_pipeline'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Gst.Element) –

The internal playbin instance.

The caller should free it with GObject.Object.prototype.unref

Since : 1.20

#### GstPlay.Play.get_pipeline

    def GstPlay.Play.get_pipeline (self):
        #python wrapper for 'gst_play_get_pipeline'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Gst.Element) –

The internal playbin instance.

The caller should free it with GObject.Object.unref

Since : 1.20

#### gst_play_get_position

    GstClockTime
    gst_play_get_position (GstPlay * play)

Parameters:

`play` –

GstPlay instance

Returns –

the absolute position time, in nanoseconds, of the currently-playing stream.

Since : 1.20

#### GstPlay.Play.prototype.get_position

    function GstPlay.Play.prototype.get_position(): {
        // javascript wrapper for 'gst_play_get_position'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Number) –

the absolute position time, in nanoseconds, of the currently-playing stream.

Since : 1.20

#### GstPlay.Play.get_position

    def GstPlay.Play.get_position (self):
        #python wrapper for 'gst_play_get_position'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (int) –

the absolute position time, in nanoseconds, of the currently-playing stream.

Since : 1.20

#### gst_play_get_rate

    gdouble
    gst_play_get_rate (GstPlay * play)

Parameters:

`play` –

GstPlay instance

Returns –

current playback rate

Since : 1.20

#### GstPlay.Play.prototype.get_rate

    function GstPlay.Play.prototype.get_rate(): {
        // javascript wrapper for 'gst_play_get_rate'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Number) –

current playback rate

Since : 1.20

#### GstPlay.Play.get_rate

    def GstPlay.Play.get_rate (self):
        #python wrapper for 'gst_play_get_rate'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (float) –

current playback rate

Since : 1.20

#### gst_play_get_subtitle_uri

    gchar *
    gst_play_get_subtitle_uri (GstPlay * play)

Current subtitle URI

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full][nullable]) –

URI of the current external subtitle. g_free after usage.

Since : 1.20

#### GstPlay.Play.prototype.get_subtitle_uri

    function GstPlay.Play.prototype.get_subtitle_uri(): {
        // javascript wrapper for 'gst_play_get_subtitle_uri'
    }

Current subtitle URI

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (String) –

URI of the current external subtitle. GLib.prototype.free after usage.

Since : 1.20

#### GstPlay.Play.get_subtitle_uri

    def GstPlay.Play.get_subtitle_uri (self):
        #python wrapper for 'gst_play_get_subtitle_uri'

Current subtitle URI

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (str) –

URI of the current external subtitle. GLib.free after usage.

Since : 1.20

#### gst_play_get_subtitle_video_offset

    gint64
    gst_play_get_subtitle_video_offset (GstPlay * play)

Retrieve the current value of subtitle-video-offset property

Parameters:

`play` –

GstPlay instance

Returns –

The current value of subtitle-video-offset in nanoseconds

Since : 1.20

#### GstPlay.Play.prototype.get_subtitle_video_offset

    function GstPlay.Play.prototype.get_subtitle_video_offset(): {
        // javascript wrapper for 'gst_play_get_subtitle_video_offset'
    }

Retrieve the current value of subtitle-video-offset property

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Number) –

The current value of subtitle-video-offset in nanoseconds

Since : 1.20

#### GstPlay.Play.get_subtitle_video_offset

    def GstPlay.Play.get_subtitle_video_offset (self):
        #python wrapper for 'gst_play_get_subtitle_video_offset'

Retrieve the current value of subtitle-video-offset property

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (int) –

The current value of subtitle-video-offset in nanoseconds

Since : 1.20

#### gst_play_get_uri

    gchar *
    gst_play_get_uri (GstPlay * play)

Gets the URI of the currently-playing stream.

Parameters:

`play` –

GstPlay instance

Returns ( [transfer: full][nullable]) –

a string containing the URI of the currently-playing stream. g_free after usage.

Since : 1.20

#### GstPlay.Play.prototype.get_uri

    function GstPlay.Play.prototype.get_uri(): {
        // javascript wrapper for 'gst_play_get_uri'
    }

Gets the URI of the currently-playing stream.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (String) –

a string containing the URI of the currently-playing stream. GLib.prototype.free after usage.

Since : 1.20

#### GstPlay.Play.get_uri

    def GstPlay.Play.get_uri (self):
        #python wrapper for 'gst_play_get_uri'

Gets the URI of the currently-playing stream.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (str) –

a string containing the URI of the currently-playing stream. GLib.free after usage.

Since : 1.20

#### gst_play_get_video_snapshot

    GstSample *
    gst_play_get_video_snapshot (GstPlay * play,
                                 GstPlaySnapshotFormat format,
                                 const GstStructure * config)

Get a snapshot of the currently selected video stream, if any. The format can be selected with format and optional configuration is possible with config. Currently supported settings are:

- width, height of type G_TYPE_INT
- pixel-aspect-ratio of type GST_TYPE_FRACTION Except for GST_PLAY_THUMBNAIL_RAW_NATIVE format, if no config is set, pixel-aspect-ratio would be 1/1

Parameters:

`play` –

GstPlay instance

`format` –

output format of the video snapshot

`config` ( [allow-none]) –

Additional configuration

Returns ( [transfer: full][nullable]) –

Current video snapshot sample or NULL on failure

Since : 1.20

#### GstPlay.Play.prototype.get_video_snapshot

    function GstPlay.Play.prototype.get_video_snapshot(format: GstPlay.PlaySnapshotFormat, config: Gst.Structure): {
        // javascript wrapper for 'gst_play_get_video_snapshot'
    }

Get a snapshot of the currently selected video stream, if any. The format can be selected with format and optional configuration is possible with config. Currently supported settings are:

- width, height of type G_TYPE_INT
- pixel-aspect-ratio of type GST_TYPE_FRACTION Except for GST_PLAY_THUMBNAIL_RAW_NATIVE format, if no config is set, pixel-aspect-ratio would be 1/1

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`format` (GstPlay.PlaySnapshotFormat) –

output format of the video snapshot

`config` (Gst.Structure) –

Additional configuration

Returns (Gst.Sample) –

Current video snapshot sample or null on failure

Since : 1.20

#### GstPlay.Play.get_video_snapshot

    def GstPlay.Play.get_video_snapshot (self, format, config):
        #python wrapper for 'gst_play_get_video_snapshot'

Get a snapshot of the currently selected video stream, if any. The format can be selected with format and optional configuration is possible with config. Currently supported settings are:

- width, height of type G_TYPE_INT
- pixel-aspect-ratio of type GST_TYPE_FRACTION Except for GST_PLAY_THUMBNAIL_RAW_NATIVE format, if no config is set, pixel-aspect-ratio would be 1/1

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`format` (GstPlay.PlaySnapshotFormat) –

output format of the video snapshot

`config` (Gst.Structure) –

Additional configuration

Returns (Gst.Sample) –

Current video snapshot sample or None on failure

Since : 1.20

#### gst_play_get_volume

    gdouble
    gst_play_get_volume (GstPlay * play)

Returns the current volume level, as a percentage between 0 and 1.

Parameters:

`play` –

GstPlay instance

Returns –

the volume as percentage between 0 and 1.

Since : 1.20

#### GstPlay.Play.prototype.get_volume

    function GstPlay.Play.prototype.get_volume(): {
        // javascript wrapper for 'gst_play_get_volume'
    }

Returns the current volume level, as a percentage between 0 and 1.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Number) –

the volume as percentage between 0 and 1.

Since : 1.20

#### GstPlay.Play.get_volume

    def GstPlay.Play.get_volume (self):
        #python wrapper for 'gst_play_get_volume'

Returns the current volume level, as a percentage between 0 and 1.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (float) –

the volume as percentage between 0 and 1.

Since : 1.20

#### gst_play_has_color_balance

    gboolean
    gst_play_has_color_balance (GstPlay * play)

Checks whether the play has color balance support available.

Parameters:

`play` –

GstPlay instance

Returns –

TRUE if play has color balance support. Otherwise, FALSE.

Since : 1.20

#### GstPlay.Play.prototype.has_color_balance

    function GstPlay.Play.prototype.has_color_balance(): {
        // javascript wrapper for 'gst_play_has_color_balance'
    }

Checks whether the play has color balance support available.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (Number) –

true if play has color balance support. Otherwise, false.

Since : 1.20

#### GstPlay.Play.has_color_balance

    def GstPlay.Play.has_color_balance (self):
        #python wrapper for 'gst_play_has_color_balance'

Checks whether the play has color balance support available.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Returns (bool) –

True if play has color balance support. Otherwise, False.

Since : 1.20

#### gst_play_pause

    gst_play_pause (GstPlay * play)

Pauses the current stream.

Parameters:

`play` –

GstPlay instance

Since : 1.20

#### GstPlay.Play.prototype.pause

    function GstPlay.Play.prototype.pause(): {
        // javascript wrapper for 'gst_play_pause'
    }

Pauses the current stream.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Since : 1.20

#### GstPlay.Play.pause

    def GstPlay.Play.pause (self):
        #python wrapper for 'gst_play_pause'

Pauses the current stream.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Since : 1.20

#### gst_play_play

    gst_play_play (GstPlay * play)

Request to play the loaded stream.

Parameters:

`play` –

GstPlay instance

Since : 1.20

#### GstPlay.Play.prototype.play

    function GstPlay.Play.prototype.play(): {
        // javascript wrapper for 'gst_play_play'
    }

Request to play the loaded stream.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Since : 1.20

#### GstPlay.Play.play

    def GstPlay.Play.play (self):
        #python wrapper for 'gst_play_play'

Request to play the loaded stream.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Since : 1.20

#### gst_play_seek

    gst_play_seek (GstPlay * play,
                   GstClockTime position)

Seeks the currently-playing stream to the absolute position time in nanoseconds.

Parameters:

`play` –

GstPlay instance

`position` –

position to seek in nanoseconds

Since : 1.20

#### GstPlay.Play.prototype.seek

    function GstPlay.Play.prototype.seek(position: Number): {
        // javascript wrapper for 'gst_play_seek'
    }

Seeks the currently-playing stream to the absolute position time in nanoseconds.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`position` (Number) –

position to seek in nanoseconds

Since : 1.20

#### GstPlay.Play.seek

    def GstPlay.Play.seek (self, position):
        #python wrapper for 'gst_play_seek'

Seeks the currently-playing stream to the absolute position time in nanoseconds.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`position` (int) –

position to seek in nanoseconds

Since : 1.20

#### gst_play_set_audio_track

    gboolean
    gst_play_set_audio_track (GstPlay * play,
                              gint stream_index)

Parameters:

`play` –

GstPlay instance

`stream_index` –

stream index

Returns –

TRUE or FALSE

Sets the audio track stream_index.

deprecated : 1.26: Use gst_play_set_audio_track_id() instead.

Since : 1.20

#### GstPlay.Play.prototype.set_audio_track

    function GstPlay.Play.prototype.set_audio_track(stream_index: Number): {
        // javascript wrapper for 'gst_play_set_audio_track'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_index` (Number) –

stream index

Returns (Number) –

true or false

Sets the audio track stream_index.

deprecated : 1.26: Use gst_play_set_audio_track_id() instead.

Since : 1.20

#### GstPlay.Play.set_audio_track

    def GstPlay.Play.set_audio_track (self, stream_index):
        #python wrapper for 'gst_play_set_audio_track'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_index` (int) –

stream index

Returns (bool) –

True or False

Sets the audio track stream_index.

deprecated : 1.26: Use gst_play_set_audio_track_id() instead.

Since : 1.20

#### gst_play_set_audio_track_enabled

    gst_play_set_audio_track_enabled (GstPlay * play,
                                      gboolean enabled)

Enable or disable the current audio track.

Parameters:

`play` –

GstPlay instance

`enabled` –

TRUE or FALSE

Since : 1.20

#### GstPlay.Play.prototype.set_audio_track_enabled

    function GstPlay.Play.prototype.set_audio_track_enabled(enabled: Number): {
        // javascript wrapper for 'gst_play_set_audio_track_enabled'
    }

Enable or disable the current audio track.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`enabled` (Number) –

TRUE or FALSE

Since : 1.20

#### GstPlay.Play.set_audio_track_enabled

    def GstPlay.Play.set_audio_track_enabled (self, enabled):
        #python wrapper for 'gst_play_set_audio_track_enabled'

Enable or disable the current audio track.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`enabled` (bool) –

TRUE or FALSE

Since : 1.20

#### gst_play_set_audio_track_id

    gboolean
    gst_play_set_audio_track_id (GstPlay * play,
                                 const gchar * stream_id)

Parameters:

`play` –

GstPlay instance

`stream_id` ( [nullable]) –

stream id

Returns –

TRUE or FALSE

Sets the audio track stream_id.

Since : 1.26

#### GstPlay.Play.prototype.set_audio_track_id

    function GstPlay.Play.prototype.set_audio_track_id(stream_id: String): {
        // javascript wrapper for 'gst_play_set_audio_track_id'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_id` (String) –

stream id

Returns (Number) –

true or false

Sets the audio track stream_id.

Since : 1.26

#### GstPlay.Play.set_audio_track_id

    def GstPlay.Play.set_audio_track_id (self, stream_id):
        #python wrapper for 'gst_play_set_audio_track_id'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_id` (str) –

stream id

Returns (bool) –

True or False

Sets the audio track stream_id.

Since : 1.26

#### gst_play_set_audio_video_offset

    gst_play_set_audio_video_offset (GstPlay * play,
                                     gint64 offset)

Sets audio-video-offset property by value of offset

Parameters:

`play` –

GstPlay instance

`offset` –

gint64 in nanoseconds

Since : 1.20

#### GstPlay.Play.prototype.set_audio_video_offset

    function GstPlay.Play.prototype.set_audio_video_offset(offset: Number): {
        // javascript wrapper for 'gst_play_set_audio_video_offset'
    }

Sets audio-video-offset property by value of offset

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`offset` (Number) –

Number in nanoseconds

Since : 1.20

#### GstPlay.Play.set_audio_video_offset

    def GstPlay.Play.set_audio_video_offset (self, offset):
        #python wrapper for 'gst_play_set_audio_video_offset'

Sets audio-video-offset property by value of offset

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`offset` (int) –

int in nanoseconds

Since : 1.20

#### gst_play_set_color_balance

    gst_play_set_color_balance (GstPlay * play,
                                GstPlayColorBalanceType type,
                                gdouble value)

Sets the current value of the indicated channel type to the passed value.

Parameters:

`play` –

GstPlay instance

`type` –

GstPlayColorBalanceType

`value` –

The new value for the type, ranged [0,1]

Since : 1.20

#### GstPlay.Play.prototype.set_color_balance

    function GstPlay.Play.prototype.set_color_balance(type: GstPlay.PlayColorBalanceType, value: Number): {
        // javascript wrapper for 'gst_play_set_color_balance'
    }

Sets the current value of the indicated channel type to the passed value.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`type` (GstPlay.PlayColorBalanceType) –

GstPlay.PlayColorBalanceType

`value` (Number) –

The new value for the type, ranged [0,1]

Since : 1.20

#### GstPlay.Play.set_color_balance

    def GstPlay.Play.set_color_balance (self, type, value):
        #python wrapper for 'gst_play_set_color_balance'

Sets the current value of the indicated channel type to the passed value.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`type` (GstPlay.PlayColorBalanceType) –

GstPlay.PlayColorBalanceType

`value` (float) –

The new value for the type, ranged [0,1]

Since : 1.20

#### gst_play_set_config

    gboolean
    gst_play_set_config (GstPlay * play,
                         GstStructure * config)

Set the configuration of the play. If the play is already configured, and the configuration hasn't changed, this function will return TRUE. If the play is not in the GST_PLAY_STATE_STOPPED, this method will return FALSE and active configuration will remain.

config is a GstStructure that contains the configuration parameters for the play.

This function takes ownership of config.

Parameters:

`play` –

GstPlay instance

`config` ( [transfer: full]) –

a GstStructure

Returns –

TRUE when the configuration could be set.

Since : 1.20

#### GstPlay.Play.prototype.set_config

    function GstPlay.Play.prototype.set_config(config: Gst.Structure): {
        // javascript wrapper for 'gst_play_set_config'
    }

Set the configuration of the play. If the play is already configured, and the configuration hasn't changed, this function will return true. If the play is not in the GST_PLAY_STATE_STOPPED, this method will return false and active configuration will remain.

config is a Gst.Structure that contains the configuration parameters for the play.

This function takes ownership of config.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`config` (Gst.Structure) –

a Gst.Structure

Returns (Number) –

true when the configuration could be set.

Since : 1.20

#### GstPlay.Play.set_config

    def GstPlay.Play.set_config (self, config):
        #python wrapper for 'gst_play_set_config'

Set the configuration of the play. If the play is already configured, and the configuration hasn't changed, this function will return True. If the play is not in the GST_PLAY_STATE_STOPPED, this method will return False and active configuration will remain.

config is a Gst.Structure that contains the configuration parameters for the play.

This function takes ownership of config.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`config` (Gst.Structure) –

a Gst.Structure

Returns (bool) –

True when the configuration could be set.

Since : 1.20

#### gst_play_set_multiview_flags

    gst_play_set_multiview_flags (GstPlay * play,
                                  GstVideoMultiviewFlags flags)

Sets the current value of the indicated mode type to the passed value.

Parameters:

`play` –

GstPlay instance

`flags` –

The new value for the type

Since : 1.20

#### GstPlay.Play.prototype.set_multiview_flags

    function GstPlay.Play.prototype.set_multiview_flags(flags: GstVideo.VideoMultiviewFlags): {
        // javascript wrapper for 'gst_play_set_multiview_flags'
    }

Sets the current value of the indicated mode type to the passed value.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`flags` (GstVideo.VideoMultiviewFlags) –

The new value for the type

Since : 1.20

#### GstPlay.Play.set_multiview_flags

    def GstPlay.Play.set_multiview_flags (self, flags):
        #python wrapper for 'gst_play_set_multiview_flags'

Sets the current value of the indicated mode type to the passed value.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`flags` (GstVideo.VideoMultiviewFlags) –

The new value for the type

Since : 1.20

#### gst_play_set_multiview_mode

    gst_play_set_multiview_mode (GstPlay * play,
                                 GstVideoMultiviewFramePacking mode)

Sets the current value of the indicated mode type to the passed value.

Parameters:

`play` –

GstPlay instance

`mode` –

The new value for the type

Since : 1.20

#### GstPlay.Play.prototype.set_multiview_mode

    function GstPlay.Play.prototype.set_multiview_mode(mode: GstVideo.VideoMultiviewFramePacking): {
        // javascript wrapper for 'gst_play_set_multiview_mode'
    }

Sets the current value of the indicated mode type to the passed value.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`mode` (GstVideo.VideoMultiviewFramePacking) –

The new value for the type

Since : 1.20

#### GstPlay.Play.set_multiview_mode

    def GstPlay.Play.set_multiview_mode (self, mode):
        #python wrapper for 'gst_play_set_multiview_mode'

Sets the current value of the indicated mode type to the passed value.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`mode` (GstVideo.VideoMultiviewFramePacking) –

The new value for the type

Since : 1.20

#### gst_play_set_mute

    gst_play_set_mute (GstPlay * play,
                       gboolean val)

TRUE if the currently-playing stream should be muted.

Parameters:

`play` –

GstPlay instance

`val` –

Mute state the should be set

Since : 1.20

#### GstPlay.Play.prototype.set_mute

    function GstPlay.Play.prototype.set_mute(val: Number): {
        // javascript wrapper for 'gst_play_set_mute'
    }

true if the currently-playing stream should be muted.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`val` (Number) –

Mute state the should be set

Since : 1.20

#### GstPlay.Play.set_mute

    def GstPlay.Play.set_mute (self, val):
        #python wrapper for 'gst_play_set_mute'

True if the currently-playing stream should be muted.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`val` (bool) –

Mute state the should be set

Since : 1.20

#### gst_play_set_rate

    gst_play_set_rate (GstPlay * play,
                       gdouble rate)

Playback at specified rate

Parameters:

`play` –

GstPlay instance

`rate` –

playback rate

Since : 1.20

#### GstPlay.Play.prototype.set_rate

    function GstPlay.Play.prototype.set_rate(rate: Number): {
        // javascript wrapper for 'gst_play_set_rate'
    }

Playback at specified rate

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`rate` (Number) –

playback rate

Since : 1.20

#### GstPlay.Play.set_rate

    def GstPlay.Play.set_rate (self, rate):
        #python wrapper for 'gst_play_set_rate'

Playback at specified rate

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`rate` (float) –

playback rate

Since : 1.20

#### gst_play_set_subtitle_track

    gboolean
    gst_play_set_subtitle_track (GstPlay * play,
                                 gint stream_index)

Parameters:

`play` –

GstPlay instance

`stream_index` –

stream index

Returns –

TRUE or FALSE

Sets the subtitle stack stream_index.

deprecated : 1.26: Use gst_play_set_subtitle_track_id() instead.

Since : 1.20

#### GstPlay.Play.prototype.set_subtitle_track

    function GstPlay.Play.prototype.set_subtitle_track(stream_index: Number): {
        // javascript wrapper for 'gst_play_set_subtitle_track'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_index` (Number) –

stream index

Returns (Number) –

true or false

Sets the subtitle stack stream_index.

deprecated : 1.26: Use gst_play_set_subtitle_track_id() instead.

Since : 1.20

#### GstPlay.Play.set_subtitle_track

    def GstPlay.Play.set_subtitle_track (self, stream_index):
        #python wrapper for 'gst_play_set_subtitle_track'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_index` (int) –

stream index

Returns (bool) –

True or False

Sets the subtitle stack stream_index.

deprecated : 1.26: Use gst_play_set_subtitle_track_id() instead.

Since : 1.20

#### gst_play_set_subtitle_track_enabled

    gst_play_set_subtitle_track_enabled (GstPlay * play,
                                         gboolean enabled)

Enable or disable the current subtitle track.

Parameters:

`play` –

GstPlay instance

`enabled` –

TRUE or FALSE

Since : 1.20

#### GstPlay.Play.prototype.set_subtitle_track_enabled

    function GstPlay.Play.prototype.set_subtitle_track_enabled(enabled: Number): {
        // javascript wrapper for 'gst_play_set_subtitle_track_enabled'
    }

Enable or disable the current subtitle track.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`enabled` (Number) –

TRUE or FALSE

Since : 1.20

#### GstPlay.Play.set_subtitle_track_enabled

    def GstPlay.Play.set_subtitle_track_enabled (self, enabled):
        #python wrapper for 'gst_play_set_subtitle_track_enabled'

Enable or disable the current subtitle track.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`enabled` (bool) –

TRUE or FALSE

Since : 1.20

#### gst_play_set_subtitle_track_id

    gboolean
    gst_play_set_subtitle_track_id (GstPlay * play,
                                    const gchar * stream_id)

Parameters:

`play` –

GstPlay instance

`stream_id` ( [nullable]) –

stream id

Returns –

TRUE or FALSE

Sets the subtitle track stream_id.

Since : 1.26

#### GstPlay.Play.prototype.set_subtitle_track_id

    function GstPlay.Play.prototype.set_subtitle_track_id(stream_id: String): {
        // javascript wrapper for 'gst_play_set_subtitle_track_id'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_id` (String) –

stream id

Returns (Number) –

true or false

Sets the subtitle track stream_id.

Since : 1.26

#### GstPlay.Play.set_subtitle_track_id

    def GstPlay.Play.set_subtitle_track_id (self, stream_id):
        #python wrapper for 'gst_play_set_subtitle_track_id'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_id` (str) –

stream id

Returns (bool) –

True or False

Sets the subtitle track stream_id.

Since : 1.26

#### gst_play_set_subtitle_uri

    gst_play_set_subtitle_uri (GstPlay * play,
                               const gchar * uri)

Sets the external subtitle URI. This should be combined with a call to gst_play_set_subtitle_track_enabled(@play, TRUE) so the subtitles are actually rendered.

Parameters:

`play` –

GstPlay instance

`uri` ( [nullable]) –

subtitle URI

Since : 1.20

#### GstPlay.Play.prototype.set_subtitle_uri

    function GstPlay.Play.prototype.set_subtitle_uri(uri: String): {
        // javascript wrapper for 'gst_play_set_subtitle_uri'
    }

Sets the external subtitle URI. This should be combined with a call to gst_play_set_subtitle_track_enabled(@play, TRUE) so the subtitles are actually rendered.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`uri` (String) –

subtitle URI

Since : 1.20

#### GstPlay.Play.set_subtitle_uri

    def GstPlay.Play.set_subtitle_uri (self, uri):
        #python wrapper for 'gst_play_set_subtitle_uri'

Sets the external subtitle URI. This should be combined with a call to gst_play_set_subtitle_track_enabled(@play, TRUE) so the subtitles are actually rendered.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`uri` (str) –

subtitle URI

Since : 1.20

#### gst_play_set_subtitle_video_offset

    gst_play_set_subtitle_video_offset (GstPlay * play,
                                        gint64 offset)

Sets subtitle-video-offset property by value of offset

Parameters:

`play` –

GstPlay instance

`offset` –

gint64 in nanoseconds

Since : 1.20

#### GstPlay.Play.prototype.set_subtitle_video_offset

    function GstPlay.Play.prototype.set_subtitle_video_offset(offset: Number): {
        // javascript wrapper for 'gst_play_set_subtitle_video_offset'
    }

Sets subtitle-video-offset property by value of offset

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`offset` (Number) –

Number in nanoseconds

Since : 1.20

#### GstPlay.Play.set_subtitle_video_offset

    def GstPlay.Play.set_subtitle_video_offset (self, offset):
        #python wrapper for 'gst_play_set_subtitle_video_offset'

Sets subtitle-video-offset property by value of offset

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`offset` (int) –

int in nanoseconds

Since : 1.20

#### gst_play_set_track_ids

    gboolean
    gst_play_set_track_ids (GstPlay * play,
                            const gchar * audio_stream_id,
                            const gchar * video_stream_id,
                            const gchar * subtitle_stream_id)

Parameters:

`play` –

GstPlay instance

`audio_stream_id` ( [nullable]) –

audio stream id

`video_stream_id` ( [nullable]) –

video stream id

`subtitle_stream_id` ( [nullable]) –

subtitle stream id

Returns –

TRUE or FALSE

Sets the selected track stream ids. Setting NULL as stream id disables the corresponding track.

Since : 1.26

#### GstPlay.Play.prototype.set_track_ids

    function GstPlay.Play.prototype.set_track_ids(audio_stream_id: String, video_stream_id: String, subtitle_stream_id: String): {
        // javascript wrapper for 'gst_play_set_track_ids'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`audio_stream_id` (String) –

audio stream id

`video_stream_id` (String) –

video stream id

`subtitle_stream_id` (String) –

subtitle stream id

Returns (Number) –

true or false

Sets the selected track stream ids. Setting null as stream id disables the corresponding track.

Since : 1.26

#### GstPlay.Play.set_track_ids

    def GstPlay.Play.set_track_ids (self, audio_stream_id, video_stream_id, subtitle_stream_id):
        #python wrapper for 'gst_play_set_track_ids'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`audio_stream_id` (str) –

audio stream id

`video_stream_id` (str) –

video stream id

`subtitle_stream_id` (str) –

subtitle stream id

Returns (bool) –

True or False

Sets the selected track stream ids. Setting None as stream id disables the corresponding track.

Since : 1.26

#### gst_play_set_uri

    gst_play_set_uri (GstPlay * play,
                      const gchar * uri)

Sets the next URI to play.

Parameters:

`play` –

GstPlay instance

`uri` ( [nullable]) –

next URI to play.

Since : 1.20

#### GstPlay.Play.prototype.set_uri

    function GstPlay.Play.prototype.set_uri(uri: String): {
        // javascript wrapper for 'gst_play_set_uri'
    }

Sets the next URI to play.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`uri` (String) –

next URI to play.

Since : 1.20

#### GstPlay.Play.set_uri

    def GstPlay.Play.set_uri (self, uri):
        #python wrapper for 'gst_play_set_uri'

Sets the next URI to play.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`uri` (str) –

next URI to play.

Since : 1.20

#### gst_play_set_video_track

    gboolean
    gst_play_set_video_track (GstPlay * play,
                              gint stream_index)

Parameters:

`play` –

GstPlay instance

`stream_index` –

stream index

Returns –

TRUE or FALSE

Sets the video track stream_index.

deprecated : 1.26: Use gst_play_set_video_track_id() instead.

Since : 1.20

#### GstPlay.Play.prototype.set_video_track

    function GstPlay.Play.prototype.set_video_track(stream_index: Number): {
        // javascript wrapper for 'gst_play_set_video_track'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_index` (Number) –

stream index

Returns (Number) –

true or false

Sets the video track stream_index.

deprecated : 1.26: Use gst_play_set_video_track_id() instead.

Since : 1.20

#### GstPlay.Play.set_video_track

    def GstPlay.Play.set_video_track (self, stream_index):
        #python wrapper for 'gst_play_set_video_track'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_index` (int) –

stream index

Returns (bool) –

True or False

Sets the video track stream_index.

deprecated : 1.26: Use gst_play_set_video_track_id() instead.

Since : 1.20

#### gst_play_set_video_track_enabled

    gst_play_set_video_track_enabled (GstPlay * play,
                                      gboolean enabled)

Enable or disable the current video track.

Parameters:

`play` –

GstPlay instance

`enabled` –

TRUE or FALSE

Since : 1.20

#### GstPlay.Play.prototype.set_video_track_enabled

    function GstPlay.Play.prototype.set_video_track_enabled(enabled: Number): {
        // javascript wrapper for 'gst_play_set_video_track_enabled'
    }

Enable or disable the current video track.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`enabled` (Number) –

TRUE or FALSE

Since : 1.20

#### GstPlay.Play.set_video_track_enabled

    def GstPlay.Play.set_video_track_enabled (self, enabled):
        #python wrapper for 'gst_play_set_video_track_enabled'

Enable or disable the current video track.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`enabled` (bool) –

TRUE or FALSE

Since : 1.20

#### gst_play_set_video_track_id

    gboolean
    gst_play_set_video_track_id (GstPlay * play,
                                 const gchar * stream_id)

Parameters:

`play` –

GstPlay instance

`stream_id` ( [nullable]) –

stream id

Returns –

TRUE or FALSE

Sets the video track stream_id.

Since : 1.26

#### GstPlay.Play.prototype.set_video_track_id

    function GstPlay.Play.prototype.set_video_track_id(stream_id: String): {
        // javascript wrapper for 'gst_play_set_video_track_id'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_id` (String) –

stream id

Returns (Number) –

true or false

Sets the video track stream_id.

Since : 1.26

#### GstPlay.Play.set_video_track_id

    def GstPlay.Play.set_video_track_id (self, stream_id):
        #python wrapper for 'gst_play_set_video_track_id'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`stream_id` (str) –

stream id

Returns (bool) –

True or False

Sets the video track stream_id.

Since : 1.26

#### gst_play_set_visualization

    gboolean
    gst_play_set_visualization (GstPlay * play,
                                const gchar * name)

Parameters:

`play` –

GstPlay instance

`name` ( [nullable]) –

visualization element obtained from gst_play_visualizations_get()

Returns –

TRUE if the visualization was set correctly. Otherwise, FALSE.

Since : 1.20

#### GstPlay.Play.prototype.set_visualization

    function GstPlay.Play.prototype.set_visualization(name: String): {
        // javascript wrapper for 'gst_play_set_visualization'
    }

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`name` (String) –

visualization element obtained from GstPlay.Play.prototype.visualizations_get()

Returns (Number) –

true if the visualization was set correctly. Otherwise, false.

Since : 1.20

#### GstPlay.Play.set_visualization

    def GstPlay.Play.set_visualization (self, name):
        #python wrapper for 'gst_play_set_visualization'

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`name` (str) –

visualization element obtained from GstPlay.Play.visualizations_get()

Returns (bool) –

True if the visualization was set correctly. Otherwise, False.

Since : 1.20

#### gst_play_set_visualization_enabled

    gst_play_set_visualization_enabled (GstPlay * play,
                                        gboolean enabled)

Enable or disable the visualization.

Parameters:

`play` –

GstPlay instance

`enabled` –

TRUE or FALSE

Since : 1.20

#### GstPlay.Play.prototype.set_visualization_enabled

    function GstPlay.Play.prototype.set_visualization_enabled(enabled: Number): {
        // javascript wrapper for 'gst_play_set_visualization_enabled'
    }

Enable or disable the visualization.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`enabled` (Number) –

TRUE or FALSE

Since : 1.20

#### GstPlay.Play.set_visualization_enabled

    def GstPlay.Play.set_visualization_enabled (self, enabled):
        #python wrapper for 'gst_play_set_visualization_enabled'

Enable or disable the visualization.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`enabled` (bool) –

TRUE or FALSE

Since : 1.20

#### gst_play_set_volume

    gst_play_set_volume (GstPlay * play,
                         gdouble val)

Sets the volume level of the stream as a percentage between 0 and 1.

Parameters:

`play` –

GstPlay instance

`val` –

the new volume level, as a percentage between 0 and 1

Since : 1.20

#### GstPlay.Play.prototype.set_volume

    function GstPlay.Play.prototype.set_volume(val: Number): {
        // javascript wrapper for 'gst_play_set_volume'
    }

Sets the volume level of the stream as a percentage between 0 and 1.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`val` (Number) –

the new volume level, as a percentage between 0 and 1

Since : 1.20

#### GstPlay.Play.set_volume

    def GstPlay.Play.set_volume (self, val):
        #python wrapper for 'gst_play_set_volume'

Sets the volume level of the stream as a percentage between 0 and 1.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

`val` (float) –

the new volume level, as a percentage between 0 and 1

Since : 1.20

#### gst_play_stop

    gst_play_stop (GstPlay * play)

Stops playing the current stream and resets to the first position in the stream.

Parameters:

`play` –

GstPlay instance

Since : 1.20

#### GstPlay.Play.prototype.stop

    function GstPlay.Play.prototype.stop(): {
        // javascript wrapper for 'gst_play_stop'
    }

Stops playing the current stream and resets to the first position in the stream.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Since : 1.20

#### GstPlay.Play.stop

    def GstPlay.Play.stop (self):
        #python wrapper for 'gst_play_stop'

Stops playing the current stream and resets to the first position in the stream.

Parameters:

`play` (GstPlay.Play) –

GstPlay.Play instance

Since : 1.20

### Functions

#### gst_play_config_get_pipeline_dump_in_error_details

    gboolean
    gst_play_config_get_pipeline_dump_in_error_details (const GstStructure * config)

Parameters:

`config` –

a GstPlay configuration

Returns –

TRUE if pipeline dumps are included in GstPlay error message details.

Since : 1.24

#### GstPlay.Play.prototype.config_get_pipeline_dump_in_error_details

    function GstPlay.Play.prototype.config_get_pipeline_dump_in_error_details(config: Gst.Structure): {
        // javascript wrapper for 'gst_play_config_get_pipeline_dump_in_error_details'
    }

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

Returns (Number) –

true if pipeline dumps are included in GstPlay.Play error message details.

Since : 1.24

#### GstPlay.Play.config_get_pipeline_dump_in_error_details

    def GstPlay.Play.config_get_pipeline_dump_in_error_details (config):
        #python wrapper for 'gst_play_config_get_pipeline_dump_in_error_details'

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

Returns (bool) –

True if pipeline dumps are included in GstPlay.Play error message details.

Since : 1.24

#### gst_play_config_get_position_update_interval

    guint
    gst_play_config_get_position_update_interval (const GstStructure * config)

Parameters:

`config` –

a GstPlay configuration

Returns –

current position update interval in milliseconds

Since : 1.20

#### GstPlay.Play.prototype.config_get_position_update_interval

    function GstPlay.Play.prototype.config_get_position_update_interval(config: Gst.Structure): {
        // javascript wrapper for 'gst_play_config_get_position_update_interval'
    }

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

Returns (Number) –

current position update interval in milliseconds

Since : 1.20

#### GstPlay.Play.config_get_position_update_interval

    def GstPlay.Play.config_get_position_update_interval (config):
        #python wrapper for 'gst_play_config_get_position_update_interval'

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

Returns (int) –

current position update interval in milliseconds

Since : 1.20

#### gst_play_config_get_seek_accurate

    gboolean
    gst_play_config_get_seek_accurate (const GstStructure * config)

Parameters:

`config` –

a GstPlay configuration

Returns –

TRUE if accurate seeking is enabled

Since : 1.20

#### GstPlay.Play.prototype.config_get_seek_accurate

    function GstPlay.Play.prototype.config_get_seek_accurate(config: Gst.Structure): {
        // javascript wrapper for 'gst_play_config_get_seek_accurate'
    }

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

Returns (Number) –

true if accurate seeking is enabled

Since : 1.20

#### GstPlay.Play.config_get_seek_accurate

    def GstPlay.Play.config_get_seek_accurate (config):
        #python wrapper for 'gst_play_config_get_seek_accurate'

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

Returns (bool) –

True if accurate seeking is enabled

Since : 1.20

#### gst_play_config_get_user_agent

    gchar *
    gst_play_config_get_user_agent (const GstStructure * config)

Return the user agent which has been configured using gst_play_config_set_user_agent if any.

Parameters:

`config` –

a GstPlay configuration

Returns ( [transfer: full][nullable]) –

the configured agent, or NULL

Since : 1.20

#### GstPlay.Play.prototype.config_get_user_agent

    function GstPlay.Play.prototype.config_get_user_agent(config: Gst.Structure): {
        // javascript wrapper for 'gst_play_config_get_user_agent'
    }

Return the user agent which has been configured using GstPlay.Play.prototype.config_set_user_agent if any.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

Returns (String) –

the configured agent, or null

Since : 1.20

#### GstPlay.Play.config_get_user_agent

    def GstPlay.Play.config_get_user_agent (config):
        #python wrapper for 'gst_play_config_get_user_agent'

Return the user agent which has been configured using GstPlay.Play.config_set_user_agent if any.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

Returns (str) –

the configured agent, or None

Since : 1.20

#### gst_play_config_set_pipeline_dump_in_error_details

    gst_play_config_set_pipeline_dump_in_error_details (GstStructure * config,
                                                        gboolean value)

When enabled, the error message emitted by GstPlay will include a pipeline dump (in Graphviz DOT format) in the error details GstStructure. The field name is `pipeline-dump`.

This option is disabled by default.

Parameters:

`config` –

a GstPlay configuration

`value` –

Include pipeline dumps in error details, or not.

Since : 1.24

#### GstPlay.Play.prototype.config_set_pipeline_dump_in_error_details

    function GstPlay.Play.prototype.config_set_pipeline_dump_in_error_details(config: Gst.Structure, value: Number): {
        // javascript wrapper for 'gst_play_config_set_pipeline_dump_in_error_details'
    }

When enabled, the error message emitted by GstPlay.Play will include a pipeline dump (in Graphviz DOT format) in the error details Gst.Structure. The field name is `pipeline-dump`.

This option is disabled by default.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

`value` (Number) –

Include pipeline dumps in error details, or not.

Since : 1.24

#### GstPlay.Play.config_set_pipeline_dump_in_error_details

    def GstPlay.Play.config_set_pipeline_dump_in_error_details (config, value):
        #python wrapper for 'gst_play_config_set_pipeline_dump_in_error_details'

When enabled, the error message emitted by GstPlay.Play will include a pipeline dump (in Graphviz DOT format) in the error details Gst.Structure. The field name is `pipeline-dump`.

This option is disabled by default.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

`value` (bool) –

Include pipeline dumps in error details, or not.

Since : 1.24

#### gst_play_config_set_position_update_interval

    gst_play_config_set_position_update_interval (GstStructure * config,
                                                  guint interval)

Set desired interval in milliseconds between two position-updated messages. Pass 0 to stop updating the position.

Parameters:

`config` –

a GstPlay configuration

`interval` –

interval in ms

Since : 1.20

#### GstPlay.Play.prototype.config_set_position_update_interval

    function GstPlay.Play.prototype.config_set_position_update_interval(config: Gst.Structure, interval: Number): {
        // javascript wrapper for 'gst_play_config_set_position_update_interval'
    }

Set desired interval in milliseconds between two position-updated messages. Pass 0 to stop updating the position.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

`interval` (Number) –

interval in ms

Since : 1.20

#### GstPlay.Play.config_set_position_update_interval

    def GstPlay.Play.config_set_position_update_interval (config, interval):
        #python wrapper for 'gst_play_config_set_position_update_interval'

Set desired interval in milliseconds between two position-updated messages. Pass 0 to stop updating the position.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

`interval` (int) –

interval in ms

Since : 1.20

#### gst_play_config_set_seek_accurate

    gst_play_config_set_seek_accurate (GstStructure * config,
                                       gboolean accurate)

Enable or disable accurate seeking. When enabled, elements will try harder to seek as accurately as possible to the requested seek position. Generally it will be slower especially for formats that don't have any indexes or timestamp markers in the stream.

If accurate seeking is disabled, elements will seek as close as the request position without slowing down seeking too much.

Accurate seeking is disabled by default.

Parameters:

`config` –

a GstPlay configuration

`accurate` –

accurate seek or not

Since : 1.20

#### GstPlay.Play.prototype.config_set_seek_accurate

    function GstPlay.Play.prototype.config_set_seek_accurate(config: Gst.Structure, accurate: Number): {
        // javascript wrapper for 'gst_play_config_set_seek_accurate'
    }

Enable or disable accurate seeking. When enabled, elements will try harder to seek as accurately as possible to the requested seek position. Generally it will be slower especially for formats that don't have any indexes or timestamp markers in the stream.

If accurate seeking is disabled, elements will seek as close as the request position without slowing down seeking too much.

Accurate seeking is disabled by default.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

`accurate` (Number) –

accurate seek or not

Since : 1.20

#### GstPlay.Play.config_set_seek_accurate

    def GstPlay.Play.config_set_seek_accurate (config, accurate):
        #python wrapper for 'gst_play_config_set_seek_accurate'

Enable or disable accurate seeking. When enabled, elements will try harder to seek as accurately as possible to the requested seek position. Generally it will be slower especially for formats that don't have any indexes or timestamp markers in the stream.

If accurate seeking is disabled, elements will seek as close as the request position without slowing down seeking too much.

Accurate seeking is disabled by default.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

`accurate` (bool) –

accurate seek or not

Since : 1.20

#### gst_play_config_set_user_agent

    gst_play_config_set_user_agent (GstStructure * config,
                                    const gchar * agent)

Set the user agent to pass to the server if play needs to connect to a server during playback. This is typically used when playing HTTP or RTSP streams.

Parameters:

`config` –

a GstPlay configuration

`agent` ( [nullable]) –

the string to use as user agent

Since : 1.20

#### GstPlay.Play.prototype.config_set_user_agent

    function GstPlay.Play.prototype.config_set_user_agent(config: Gst.Structure, agent: String): {
        // javascript wrapper for 'gst_play_config_set_user_agent'
    }

Set the user agent to pass to the server if play needs to connect to a server during playback. This is typically used when playing HTTP or RTSP streams.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

`agent` (String) –

the string to use as user agent

Since : 1.20

#### GstPlay.Play.config_set_user_agent

    def GstPlay.Play.config_set_user_agent (config, agent):
        #python wrapper for 'gst_play_config_set_user_agent'

Set the user agent to pass to the server if play needs to connect to a server during playback. This is typically used when playing HTTP or RTSP streams.

Parameters:

`config` (Gst.Structure) –

a GstPlay.Play configuration

`agent` (str) –

the string to use as user agent

Since : 1.20

#### gst_play_get_audio_streams

    GList *
    gst_play_get_audio_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [transfer: none][element-type GstPlayAudioInfo]) –

A GList of matching GstPlayAudioInfo.

Since : 1.20

#### GstPlay.Play.prototype.get_audio_streams

    function GstPlay.Play.prototype.get_audio_streams(info: GstPlay.PlayMediaInfo): {
        // javascript wrapper for 'gst_play_get_audio_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayAudioInfo ]) –

A GLib.List of matching GstPlay.PlayAudioInfo.

Since : 1.20

#### GstPlay.Play.get_audio_streams

    def GstPlay.Play.get_audio_streams (info):
        #python wrapper for 'gst_play_get_audio_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayAudioInfo ]) –

A GLib.List of matching GstPlay.PlayAudioInfo.

Since : 1.20

#### gst_play_get_subtitle_streams

    GList *
    gst_play_get_subtitle_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [transfer: none][element-type GstPlaySubtitleInfo]) –

A GList of matching GstPlaySubtitleInfo.

Since : 1.20

#### GstPlay.Play.prototype.get_subtitle_streams

    function GstPlay.Play.prototype.get_subtitle_streams(info: GstPlay.PlayMediaInfo): {
        // javascript wrapper for 'gst_play_get_subtitle_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlaySubtitleInfo ]) –

A GLib.List of matching GstPlay.PlaySubtitleInfo.

Since : 1.20

#### GstPlay.Play.get_subtitle_streams

    def GstPlay.Play.get_subtitle_streams (info):
        #python wrapper for 'gst_play_get_subtitle_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlaySubtitleInfo ]) –

A GLib.List of matching GstPlay.PlaySubtitleInfo.

Since : 1.20

#### gst_play_get_video_streams

    GList *
    gst_play_get_video_streams (const GstPlayMediaInfo * info)

Parameters:

`info` –

a GstPlayMediaInfo

Returns ( [transfer: none][element-type GstPlayVideoInfo]) –

A GList of matching GstPlayVideoInfo.

Since : 1.20

#### GstPlay.Play.prototype.get_video_streams

    function GstPlay.Play.prototype.get_video_streams(info: GstPlay.PlayMediaInfo): {
        // javascript wrapper for 'gst_play_get_video_streams'
    }

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayVideoInfo ]) –

A GLib.List of matching GstPlay.PlayVideoInfo.

Since : 1.20

#### GstPlay.Play.get_video_streams

    def GstPlay.Play.get_video_streams (info):
        #python wrapper for 'gst_play_get_video_streams'

Parameters:

`info` (GstPlay.PlayMediaInfo) –

a GstPlay.PlayMediaInfo

Returns ([ GstPlay.PlayVideoInfo ]) –

A GLib.List of matching GstPlay.PlayVideoInfo.

Since : 1.20

#### gst_play_is_play_message

    gboolean
    gst_play_is_play_message (GstMessage * msg)

Parameters:

`msg` –

A GstMessage

Returns –

A gboolean indicating whether the passed message represents a GstPlay message or not.

Since : 1.20

#### GstPlay.Play.prototype.is_play_message

    function GstPlay.Play.prototype.is_play_message(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_is_play_message'
    }

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns (Number) –

A Number indicating whether the passed message represents a GstPlay.Play message or not.

Since : 1.20

#### GstPlay.Play.is_play_message

    def GstPlay.Play.is_play_message (msg):
        #python wrapper for 'gst_play_is_play_message'

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns (bool) –

A bool indicating whether the passed message represents a GstPlay.Play message or not.

Since : 1.20

#### gst_play_visualizations_free

    gst_play_visualizations_free (GstPlayVisualization ** viss)

Frees a NULL terminated array of GstPlayVisualization.

Parameters:

`viss` –

a NULL terminated array of GstPlayVisualization to free

Since : 1.20

#### GstPlay.Play.prototype.visualizations_free

    function GstPlay.Play.prototype.visualizations_free(viss: GstPlay.PlayVisualization): {
        // javascript wrapper for 'gst_play_visualizations_free'
    }

Frees a null terminated array of GstPlay.PlayVisualization.

Parameters:

`viss` (GstPlay.PlayVisualization) –

a null terminated array of GstPlay.PlayVisualization to free

Since : 1.20

#### GstPlay.Play.visualizations_free

    def GstPlay.Play.visualizations_free (viss):
        #python wrapper for 'gst_play_visualizations_free'

Frees a None terminated array of GstPlay.PlayVisualization.

Parameters:

`viss` (GstPlay.PlayVisualization) –

a None terminated array of GstPlay.PlayVisualization to free

Since : 1.20

#### gst_play_visualizations_get

    GstPlayVisualization **
    gst_play_visualizations_get ()

Returns –

(transfer full) (array zero-terminated=1) (element-type GstPlayVisualization): a NULL terminated array containing all available visualizations. Use gst_play_visualizations_free after usage.

Since : 1.20

#### GstPlay.Play.prototype.visualizations_get

    function GstPlay.Play.prototype.visualizations_get(): {
        // javascript wrapper for 'gst_play_visualizations_get'
    }

Returns ([ GstPlay.PlayVisualization ]) –

(transfer full) (array zero-terminated=1) (element-type GstPlayVisualization): a null terminated array containing all available visualizations. Use GstPlay.Play.prototype.visualizations_free after usage.

Since : 1.20

#### GstPlay.Play.visualizations_get

    def GstPlay.Play.visualizations_get ():
        #python wrapper for 'gst_play_visualizations_get'

Returns ([ GstPlay.PlayVisualization ]) –

(transfer full) (array zero-terminated=1) (element-type GstPlayVisualization): a None terminated array containing all available visualizations. Use GstPlay.Play.visualizations_free after usage.

Since : 1.20

### Properties

#### audio-video-offset

    “audio-video-offset” gint64

Flags : Read / Write

#### audio-video-offset

    “audio-video-offset” Number

Flags : Read / Write

#### audio_video_offset

    “self.props.audio_video_offset” int

Flags : Read / Write

#### current-audio-track

    “current-audio-track” GstPlayAudioInfo *

Flags : Read

#### current-audio-track

    “current-audio-track” GstPlay.PlayAudioInfo

Flags : Read

#### current_audio_track

    “self.props.current_audio_track” GstPlay.PlayAudioInfo

Flags : Read

#### current-subtitle-track

    “current-subtitle-track” GstPlaySubtitleInfo *

Flags : Read

#### current-subtitle-track

    “current-subtitle-track” GstPlay.PlaySubtitleInfo

Flags : Read

#### current_subtitle_track

    “self.props.current_subtitle_track” GstPlay.PlaySubtitleInfo

Flags : Read

#### current-video-track

    “current-video-track” GstPlayVideoInfo *

Flags : Read

#### current-video-track

    “current-video-track” GstPlay.PlayVideoInfo

Flags : Read

#### current_video_track

    “self.props.current_video_track” GstPlay.PlayVideoInfo

Flags : Read

#### duration

    “duration” guint64

Flags : Read

#### duration

    “duration” Number

Flags : Read

#### duration

    “self.props.duration” int

Flags : Read

#### media-info

    “media-info” GstPlayMediaInfo *

Flags : Read

#### media-info

    “media-info” GstPlay.PlayMediaInfo

Flags : Read

#### media_info

    “self.props.media_info” GstPlay.PlayMediaInfo

Flags : Read

#### mute

    “mute” gboolean

Flags : Read / Write

#### mute

    “mute” Number

Flags : Read / Write

#### mute

    “self.props.mute” bool

Flags : Read / Write

#### pipeline

    “pipeline” GstElement *

Flags : Read

#### pipeline

    “pipeline” Gst.Element

Flags : Read

#### pipeline

    “self.props.pipeline” Gst.Element

Flags : Read

#### position

    “position” guint64

Flags : Read

#### position

    “position” Number

Flags : Read

#### position

    “self.props.position” int

Flags : Read

#### rate

    “rate” gdouble

Flags : Read / Write

#### rate

    “rate” Number

Flags : Read / Write

#### rate

    “self.props.rate” float

Flags : Read / Write

#### subtitle-video-offset

    “subtitle-video-offset” gint64

Flags : Read / Write

#### subtitle-video-offset

    “subtitle-video-offset” Number

Flags : Read / Write

#### subtitle_video_offset

    “self.props.subtitle_video_offset” int

Flags : Read / Write

#### suburi

    “suburi” gchar *

Flags : Read / Write

#### suburi

    “suburi” String

Flags : Read / Write

#### suburi

    “self.props.suburi” str

Flags : Read / Write

#### uri

    “uri” gchar *

Flags : Read / Write

#### uri

    “uri” String

Flags : Read / Write

#### uri

    “self.props.uri” str

Flags : Read / Write

#### video-multiview-flags

    “video-multiview-flags” GstVideoMultiviewFlags *

Flags : Read / Write

#### video-multiview-flags

    “video-multiview-flags” GstVideo.VideoMultiviewFlags

Flags : Read / Write

#### video_multiview_flags

    “self.props.video_multiview_flags” GstVideo.VideoMultiviewFlags

Flags : Read / Write

#### video-multiview-mode

    “video-multiview-mode” GstVideoMultiviewFramePacking *

Flags : Read / Write

#### video-multiview-mode

    “video-multiview-mode” GstVideo.VideoMultiviewFramePacking

Flags : Read / Write

#### video_multiview_mode

    “self.props.video_multiview_mode” GstVideo.VideoMultiviewFramePacking

Flags : Read / Write

#### video-renderer

    “video-renderer” GstPlayVideoRenderer *

Flags : Read / Write

#### video-renderer

    “video-renderer” GstPlay.PlayVideoRenderer

Flags : Read / Write

#### video_renderer

    “self.props.video_renderer” GstPlay.PlayVideoRenderer

Flags : Read / Write

#### volume

    “volume” gdouble

Flags : Read / Write

#### volume

    “volume” Number

Flags : Read / Write

#### volume

    “self.props.volume” float

Flags : Read / Write

## Functions

### gst_play_color_balance_type_get_name

    const gchar *
    gst_play_color_balance_type_get_name (GstPlayColorBalanceType type)

Gets a string representing the given color balance type.

Parameters:

`type` –

a GstPlayColorBalanceType

Returns ( [transfer: none]) –

a string with the name of the color balance type.

Since : 1.20

### GstPlay.PlayColorBalanceType.prototype.get_name

    function GstPlay.PlayColorBalanceType.prototype.get_name(type: GstPlay.PlayColorBalanceType): {
        // javascript wrapper for 'gst_play_color_balance_type_get_name'
    }

Gets a string representing the given color balance type.

Parameters:

`type` (GstPlay.PlayColorBalanceType) –

a GstPlay.PlayColorBalanceType

Returns (String) –

a string with the name of the color balance type.

Since : 1.20

### GstPlay.PlayColorBalanceType.get_name

    def GstPlay.PlayColorBalanceType.get_name (type):
        #python wrapper for 'gst_play_color_balance_type_get_name'

Gets a string representing the given color balance type.

Parameters:

`type` (GstPlay.PlayColorBalanceType) –

a GstPlay.PlayColorBalanceType

Returns (str) –

a string with the name of the color balance type.

Since : 1.20

### gst_play_error_get_name

    const gchar *
    gst_play_error_get_name (GstPlayError error)

Gets a string representing the given error.

Parameters:

`error` –

a GstPlayError

Returns ( [transfer: none]) –

a string with the given error.

Since : 1.20

### GstPlay.PlayError.prototype.get_name

    function GstPlay.PlayError.prototype.get_name(error: GstPlay.PlayError): {
        // javascript wrapper for 'gst_play_error_get_name'
    }

Gets a string representing the given error.

Parameters:

`error` (GstPlay.PlayError) –

a GstPlay.PlayError

Returns (String) –

a string with the given error.

Since : 1.20

### GstPlay.PlayError.get_name

    def GstPlay.PlayError.get_name (error):
        #python wrapper for 'gst_play_error_get_name'

Gets a string representing the given error.

Parameters:

`error` (GstPlay.PlayError) –

a GstPlay.PlayError

Returns (str) –

a string with the given error.

Since : 1.20

### gst_play_error_quark

    GQuark
    gst_play_error_quark ()

Returns –
No description available

Since : 1.20

### GstPlay.PlayError.prototype.quark

    function GstPlay.PlayError.prototype.quark(): {
        // javascript wrapper for 'gst_play_error_quark'
    }

Returns (GLib.Quark) –
No description available

Since : 1.20

### GstPlay.PlayError.quark

    def GstPlay.PlayError.quark ():
        #python wrapper for 'gst_play_error_quark'

Returns (GLib.Quark) –
No description available

Since : 1.20

### gst_play_message_get_name

    const gchar *
    gst_play_message_get_name (GstPlayMessage message_type)

Parameters:

`message_type` –

a GstPlayMessage

Returns ( [transfer: none]) –

a string with the name of the message.

Since : 1.20

### GstPlay.PlayMessage.prototype.get_name

    function GstPlay.PlayMessage.prototype.get_name(message_type: GstPlay.PlayMessage): {
        // javascript wrapper for 'gst_play_message_get_name'
    }

Parameters:

`message_type` (GstPlay.PlayMessage) –

a GstPlay.PlayMessage

Returns (String) –

a string with the name of the message.

Since : 1.20

### GstPlay.PlayMessage.get_name

    def GstPlay.PlayMessage.get_name (message_type):
        #python wrapper for 'gst_play_message_get_name'

Parameters:

`message_type` (GstPlay.PlayMessage) –

a GstPlay.PlayMessage

Returns (str) –

a string with the name of the message.

Since : 1.20

### gst_play_message_get_stream_id

    const gchar *
    gst_play_message_get_stream_id (GstMessage * msg)

Reads the stream ID the play message msg applies to, if any.

Parameters:

`msg` –

A GstMessage

Returns ( [transfer: none][nullable]) –

The stream ID this message applies to

Since : 1.26

### GstPlay.PlayMessage.prototype.get_stream_id

    function GstPlay.PlayMessage.prototype.get_stream_id(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_get_stream_id'
    }

Reads the stream ID the play message msg applies to, if any.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns (String) –

The stream ID this message applies to

Since : 1.26

### GstPlay.PlayMessage.get_stream_id

    def GstPlay.PlayMessage.get_stream_id (msg):
        #python wrapper for 'gst_play_message_get_stream_id'

Reads the stream ID the play message msg applies to, if any.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns (str) –

The stream ID this message applies to

Since : 1.26

### gst_play_message_get_uri

    const gchar *
    gst_play_message_get_uri (GstMessage * msg)

Reads the URI the play message msg applies to.

Parameters:

`msg` –

A GstMessage

Returns ( [transfer: none]) –

The URI this message applies to

Since : 1.26

### GstPlay.PlayMessage.prototype.get_uri

    function GstPlay.PlayMessage.prototype.get_uri(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_get_uri'
    }

Reads the URI the play message msg applies to.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns (String) –

The URI this message applies to

Since : 1.26

### GstPlay.PlayMessage.get_uri

    def GstPlay.PlayMessage.get_uri (msg):
        #python wrapper for 'gst_play_message_get_uri'

Reads the URI the play message msg applies to.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns (str) –

The URI this message applies to

Since : 1.26

### gst_play_message_parse_buffering

    gst_play_message_parse_buffering (GstMessage * msg,
                                      guint * percent)

Parse the given buffering msg and extract the corresponding value

Parameters:

`msg` –

A GstMessage

`percent` ( [out][optional]) –

the resulting buffering percent

Since : 1.26

### GstPlay.PlayMessage.prototype.parse_buffering

    function GstPlay.PlayMessage.prototype.parse_buffering(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_buffering'
    }

Parse the given buffering msg and extract the corresponding value

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.26

### GstPlay.PlayMessage.parse_buffering

    def GstPlay.PlayMessage.parse_buffering (msg):
        #python wrapper for 'gst_play_message_parse_buffering'

Parse the given buffering msg and extract the corresponding value

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.26

### gst_play_message_parse_buffering_percent

    gst_play_message_parse_buffering_percent (GstMessage * msg,
                                              guint * percent)

Parse the given buffering msg and extract the corresponding value

Parameters:

`msg` –

A GstMessage

`percent` ( [out][optional]) –

the resulting buffering percent

Since : 1.20

deprecated : 1.26: Use gst_play_message_parse_buffering().

### GstPlay.PlayMessage.prototype.parse_buffering_percent

    function GstPlay.PlayMessage.prototype.parse_buffering_percent(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_buffering_percent'
    }

Parse the given buffering msg and extract the corresponding value

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

deprecated : 1.26: Use gst_play_message_parse_buffering().

### GstPlay.PlayMessage.parse_buffering_percent

    def GstPlay.PlayMessage.parse_buffering_percent (msg):
        #python wrapper for 'gst_play_message_parse_buffering_percent'

Parse the given buffering msg and extract the corresponding value

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

deprecated : 1.26: Use gst_play_message_parse_buffering().

### gst_play_message_parse_duration_changed

    gst_play_message_parse_duration_changed (GstMessage * msg,
                                             GstClockTime * duration)

Parse the given duration-changed msg and extract the corresponding GstClockTime

Parameters:

`msg` –

A GstMessage

`duration` ( [out][optional]) –

the resulting duration

Since : 1.26

### GstPlay.PlayMessage.prototype.parse_duration_changed

    function GstPlay.PlayMessage.prototype.parse_duration_changed(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_duration_changed'
    }

Parse the given duration-changed msg and extract the corresponding Number

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.26

### GstPlay.PlayMessage.parse_duration_changed

    def GstPlay.PlayMessage.parse_duration_changed (msg):
        #python wrapper for 'gst_play_message_parse_duration_changed'

Parse the given duration-changed msg and extract the corresponding int

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.26

### gst_play_message_parse_duration_updated

    gst_play_message_parse_duration_updated (GstMessage * msg,
                                             GstClockTime * duration)

Parse the given duration-changed msg and extract the corresponding GstClockTime

Parameters:

`msg` –

A GstMessage

`duration` ( [out][optional]) –

the resulting duration

Since : 1.20

deprecated : 1.26: Use gst_play_message_parse_duration_changed().

### GstPlay.PlayMessage.prototype.parse_duration_updated

    function GstPlay.PlayMessage.prototype.parse_duration_updated(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_duration_updated'
    }

Parse the given duration-changed msg and extract the corresponding Number

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

deprecated : 1.26: Use gst_play_message_parse_duration_changed().

### GstPlay.PlayMessage.parse_duration_updated

    def GstPlay.PlayMessage.parse_duration_updated (msg):
        #python wrapper for 'gst_play_message_parse_duration_updated'

Parse the given duration-changed msg and extract the corresponding int

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

deprecated : 1.26: Use gst_play_message_parse_duration_changed().

### gst_play_message_parse_error

    gst_play_message_parse_error (GstMessage * msg,
                                  GError ** error,
                                  GstStructure ** details)

Parse the given error msg and extract the corresponding GError.

Since 1.26 the details will always contain the URI this refers to in an "uri" field of type string, and (if known) the string "stream-id" it is referring to.

Parameters:

`msg` –

A GstMessage

`error` ( [out][optional][transfer: full]) –

the resulting error

`details` ( [out][optional][nullable][transfer: full]) –

A GstStructure containing additional details about the error

Since : 1.20

### GstPlay.PlayMessage.prototype.parse_error

    function GstPlay.PlayMessage.prototype.parse_error(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_error'
    }

Parse the given error msg and extract the corresponding GError (not introspectable).

Since 1.26 the details will always contain the URI this refers to in an "uri" field of type string, and (if known) the string "stream-id" it is referring to.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstPlay.PlayMessage.parse_error

    def GstPlay.PlayMessage.parse_error (msg):
        #python wrapper for 'gst_play_message_parse_error'

Parse the given error msg and extract the corresponding GError (not introspectable).

Since 1.26 the details will always contain the URI this refers to in an "uri" field of type string, and (if known) the string "stream-id" it is referring to.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_play_message_parse_error_missing_plugin

    gboolean
    gst_play_message_parse_error_missing_plugin (GstMessage * msg,
                                                 gchar *** descriptions,
                                                 gchar *** installer_details)

Parses missing plugin descriptions and installer details from a GST_PLAY_ERROR_MISSING_PLUGIN error message.

Both arrays will have the same length, and strings at the same index correspond to each other.

The installer details can be passed to gst_install_plugins_sync or gst_install_plugins_async.

Parameters:

`msg` –

A GstMessage

`descriptions` ( [out][optional][transfer: full][array zero-terminated=1]) –

a NULL-terminated array of descriptions

`installer_details` ( [out][optional][transfer: full][array zero-terminated=1]) –

a NULL-terminated array of installer details

Returns –

TRUE if the message contained a missing-plugin error.

Since : 1.26

### GstPlay.PlayMessage.prototype.parse_error_missing_plugin

    function GstPlay.PlayMessage.prototype.parse_error_missing_plugin(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_error_missing_plugin'
    }

Parses missing plugin descriptions and installer details from a GST_PLAY_ERROR_MISSING_PLUGIN error message.

Both arrays will have the same length, and strings at the same index correspond to each other.

The installer details can be passed to GstPbutils.prototype.install_plugins_sync or GstPbutils.prototype.install_plugins_async.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns a tuple made of:

(Number ) –

true if the message contained a missing-plugin error.

`descriptions` ([ String ] ) –

true if the message contained a missing-plugin error.

`installer_details` ([ String ] ) –

true if the message contained a missing-plugin error.

Since : 1.26

### GstPlay.PlayMessage.parse_error_missing_plugin

    def GstPlay.PlayMessage.parse_error_missing_plugin (msg):
        #python wrapper for 'gst_play_message_parse_error_missing_plugin'

Parses missing plugin descriptions and installer details from a GST_PLAY_ERROR_MISSING_PLUGIN error message.

Both arrays will have the same length, and strings at the same index correspond to each other.

The installer details can be passed to GstPbutils.install_plugins_sync or GstPbutils.install_plugins_async.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns a tuple made of:

(bool ) –

True if the message contained a missing-plugin error.

`descriptions` ([ str ] ) –

True if the message contained a missing-plugin error.

`installer_details` ([ str ] ) –

True if the message contained a missing-plugin error.

Since : 1.26

### gst_play_message_parse_media_info_updated

    gst_play_message_parse_media_info_updated (GstMessage * msg,
                                               GstPlayMediaInfo ** info)

Parse the given media-info-updated msg and extract the corresponding media information

Parameters:

`msg` –

A GstMessage

`info` ( [out][optional][transfer: full]) –

the resulting media info

Since : 1.20

### GstPlay.PlayMessage.prototype.parse_media_info_updated

    function GstPlay.PlayMessage.prototype.parse_media_info_updated(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_media_info_updated'
    }

Parse the given media-info-updated msg and extract the corresponding media information

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstPlay.PlayMessage.parse_media_info_updated

    def GstPlay.PlayMessage.parse_media_info_updated (msg):
        #python wrapper for 'gst_play_message_parse_media_info_updated'

Parse the given media-info-updated msg and extract the corresponding media information

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_play_message_parse_muted_changed

    gst_play_message_parse_muted_changed (GstMessage * msg,
                                          gboolean * muted)

Parse the given mute-changed msg and extract the corresponding audio muted state

Parameters:

`msg` –

A GstMessage

`muted` ( [out][optional]) –

the resulting audio muted state

Since : 1.20

### GstPlay.PlayMessage.prototype.parse_muted_changed

    function GstPlay.PlayMessage.prototype.parse_muted_changed(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_muted_changed'
    }

Parse the given mute-changed msg and extract the corresponding audio muted state

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstPlay.PlayMessage.parse_muted_changed

    def GstPlay.PlayMessage.parse_muted_changed (msg):
        #python wrapper for 'gst_play_message_parse_muted_changed'

Parse the given mute-changed msg and extract the corresponding audio muted state

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_play_message_parse_position_updated

    gst_play_message_parse_position_updated (GstMessage * msg,
                                             GstClockTime * position)

Parse the given position-updated msg and extract the corresponding GstClockTime

Parameters:

`msg` –

A GstMessage

`position` ( [out][optional]) –

the resulting position

Since : 1.20

### GstPlay.PlayMessage.prototype.parse_position_updated

    function GstPlay.PlayMessage.prototype.parse_position_updated(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_position_updated'
    }

Parse the given position-updated msg and extract the corresponding Number

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstPlay.PlayMessage.parse_position_updated

    def GstPlay.PlayMessage.parse_position_updated (msg):
        #python wrapper for 'gst_play_message_parse_position_updated'

Parse the given position-updated msg and extract the corresponding int

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_play_message_parse_seek_done

    gst_play_message_parse_seek_done (GstMessage * msg,
                                      GstClockTime * position)

Parse the given seek-done msg and extract the corresponding GstClockTime

Parameters:

`msg` –

A GstMessage

`position` ( [out][optional]) –

the resulting position

Since : 1.26

### GstPlay.PlayMessage.prototype.parse_seek_done

    function GstPlay.PlayMessage.prototype.parse_seek_done(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_seek_done'
    }

Parse the given seek-done msg and extract the corresponding Number

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.26

### GstPlay.PlayMessage.parse_seek_done

    def GstPlay.PlayMessage.parse_seek_done (msg):
        #python wrapper for 'gst_play_message_parse_seek_done'

Parse the given seek-done msg and extract the corresponding int

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.26

### gst_play_message_parse_state_changed

    gst_play_message_parse_state_changed (GstMessage * msg,
                                          GstPlayState * state)

Parse the given state-changed msg and extract the corresponding GstPlayState

Parameters:

`msg` –

A GstMessage

`state` ( [out][optional]) –

the resulting play state

Since : 1.20

### GstPlay.PlayMessage.prototype.parse_state_changed

    function GstPlay.PlayMessage.prototype.parse_state_changed(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_state_changed'
    }

Parse the given state-changed msg and extract the corresponding GstPlay.PlayState

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstPlay.PlayMessage.parse_state_changed

    def GstPlay.PlayMessage.parse_state_changed (msg):
        #python wrapper for 'gst_play_message_parse_state_changed'

Parse the given state-changed msg and extract the corresponding GstPlay.PlayState

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_play_message_parse_type

    gst_play_message_parse_type (GstMessage * msg,
                                 GstPlayMessage * type)

Parse the given msg and extract its GstPlayMessage type.

Parameters:

`msg` –

A GstMessage

`type` ( [out][optional]) –

the resulting message type

Since : 1.20

### GstPlay.PlayMessage.prototype.parse_type

    function GstPlay.PlayMessage.prototype.parse_type(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_type'
    }

Parse the given msg and extract its GstPlay.PlayMessage type.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstPlay.PlayMessage.parse_type

    def GstPlay.PlayMessage.parse_type (msg):
        #python wrapper for 'gst_play_message_parse_type'

Parse the given msg and extract its GstPlay.PlayMessage type.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_play_message_parse_uri_loaded

    gst_play_message_parse_uri_loaded (GstMessage * msg,
                                       gchar ** uri)

Parse the given uri-loaded msg and extract the corresponding value

Parameters:

`msg` –

A GstMessage

`uri` ( [out][optional][transfer: full]) –

the resulting URI

Since : 1.26

### GstPlay.PlayMessage.prototype.parse_uri_loaded

    function GstPlay.PlayMessage.prototype.parse_uri_loaded(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_uri_loaded'
    }

Parse the given uri-loaded msg and extract the corresponding value

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.26

### GstPlay.PlayMessage.parse_uri_loaded

    def GstPlay.PlayMessage.parse_uri_loaded (msg):
        #python wrapper for 'gst_play_message_parse_uri_loaded'

Parse the given uri-loaded msg and extract the corresponding value

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.26

### gst_play_message_parse_video_dimensions_changed

    gst_play_message_parse_video_dimensions_changed (GstMessage * msg,
                                                     guint * width,
                                                     guint * height)

Parse the given video-dimensions-changed msg and extract the corresponding video dimensions

Parameters:

`msg` –

A GstMessage

`width` ( [out][optional]) –

the resulting video width

`height` ( [out][optional]) –

the resulting video height

Since : 1.20

### GstPlay.PlayMessage.prototype.parse_video_dimensions_changed

    function GstPlay.PlayMessage.prototype.parse_video_dimensions_changed(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_video_dimensions_changed'
    }

Parse the given video-dimensions-changed msg and extract the corresponding video dimensions

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstPlay.PlayMessage.parse_video_dimensions_changed

    def GstPlay.PlayMessage.parse_video_dimensions_changed (msg):
        #python wrapper for 'gst_play_message_parse_video_dimensions_changed'

Parse the given video-dimensions-changed msg and extract the corresponding video dimensions

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_play_message_parse_volume_changed

    gst_play_message_parse_volume_changed (GstMessage * msg,
                                           gdouble * volume)

Parse the given volume-changed msg and extract the corresponding audio volume

Parameters:

`msg` –

A GstMessage

`volume` ( [out][optional]) –

the resulting audio volume

Since : 1.20

### GstPlay.PlayMessage.prototype.parse_volume_changed

    function GstPlay.PlayMessage.prototype.parse_volume_changed(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_volume_changed'
    }

Parse the given volume-changed msg and extract the corresponding audio volume

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstPlay.PlayMessage.parse_volume_changed

    def GstPlay.PlayMessage.parse_volume_changed (msg):
        #python wrapper for 'gst_play_message_parse_volume_changed'

Parse the given volume-changed msg and extract the corresponding audio volume

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_play_message_parse_warning

    gst_play_message_parse_warning (GstMessage * msg,
                                    GError ** error,
                                    GstStructure ** details)

Parse the given warning msg and extract the corresponding GError.

Since 1.26 the details will always contain the URI this refers to in an "uri" field of type string, and (if known) the string "stream-id" it is referring to.

Parameters:

`msg` –

A GstMessage

`error` ( [out][optional][transfer: full]) –

the resulting warning

`details` ( [out][optional][nullable][transfer: full]) –

A GstStructure containing additional details about the warning

Since : 1.20

### GstPlay.PlayMessage.prototype.parse_warning

    function GstPlay.PlayMessage.prototype.parse_warning(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_warning'
    }

Parse the given warning msg and extract the corresponding GError (not introspectable).

Since 1.26 the details will always contain the URI this refers to in an "uri" field of type string, and (if known) the string "stream-id" it is referring to.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstPlay.PlayMessage.parse_warning

    def GstPlay.PlayMessage.parse_warning (msg):
        #python wrapper for 'gst_play_message_parse_warning'

Parse the given warning msg and extract the corresponding GError (not introspectable).

Since 1.26 the details will always contain the URI this refers to in an "uri" field of type string, and (if known) the string "stream-id" it is referring to.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_play_message_parse_warning_missing_plugin

    gboolean
    gst_play_message_parse_warning_missing_plugin (GstMessage * msg,
                                                   gchar *** descriptions,
                                                   gchar *** installer_details)

Parses missing plugin descriptions and installer details from a GST_PLAY_ERROR_MISSING_PLUGIN warning message.

Both arrays will have the same length, and strings at the same index correspond to each other.

The installer details can be passed to gst_install_plugins_sync or gst_install_plugins_async.

Parameters:

`msg` –

A GstMessage

`descriptions` ( [out][optional][transfer: full][array zero-terminated=1]) –

a NULL-terminated array of descriptions

`installer_details` ( [out][optional][transfer: full][array zero-terminated=1]) –

a NULL-terminated array of installer details

Returns –

TRUE if the message contained a missing-plugin error.

Since : 1.26

### GstPlay.PlayMessage.prototype.parse_warning_missing_plugin

    function GstPlay.PlayMessage.prototype.parse_warning_missing_plugin(msg: Gst.Message): {
        // javascript wrapper for 'gst_play_message_parse_warning_missing_plugin'
    }

Parses missing plugin descriptions and installer details from a GST_PLAY_ERROR_MISSING_PLUGIN warning message.

Both arrays will have the same length, and strings at the same index correspond to each other.

The installer details can be passed to GstPbutils.prototype.install_plugins_sync or GstPbutils.prototype.install_plugins_async.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns a tuple made of:

(Number ) –

true if the message contained a missing-plugin error.

`descriptions` ([ String ] ) –

true if the message contained a missing-plugin error.

`installer_details` ([ String ] ) –

true if the message contained a missing-plugin error.

Since : 1.26

### GstPlay.PlayMessage.parse_warning_missing_plugin

    def GstPlay.PlayMessage.parse_warning_missing_plugin (msg):
        #python wrapper for 'gst_play_message_parse_warning_missing_plugin'

Parses missing plugin descriptions and installer details from a GST_PLAY_ERROR_MISSING_PLUGIN warning message.

Both arrays will have the same length, and strings at the same index correspond to each other.

The installer details can be passed to GstPbutils.install_plugins_sync or GstPbutils.install_plugins_async.

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns a tuple made of:

(bool ) –

True if the message contained a missing-plugin error.

`descriptions` ([ str ] ) –

True if the message contained a missing-plugin error.

`installer_details` ([ str ] ) –

True if the message contained a missing-plugin error.

Since : 1.26

### gst_play_state_get_name

    const gchar *
    gst_play_state_get_name (GstPlayState state)

Gets a string representing the given state.

Parameters:

`state` –

a GstPlayState

Returns ( [transfer: none]) –

a string with the name of the state.

Since : 1.20

### GstPlay.PlayState.prototype.get_name

    function GstPlay.PlayState.prototype.get_name(state: GstPlay.PlayState): {
        // javascript wrapper for 'gst_play_state_get_name'
    }

Gets a string representing the given state.

Parameters:

`state` (GstPlay.PlayState) –

a GstPlay.PlayState

Returns (String) –

a string with the name of the state.

Since : 1.20

### GstPlay.PlayState.get_name

    def GstPlay.PlayState.get_name (state):
        #python wrapper for 'gst_play_state_get_name'

Gets a string representing the given state.

Parameters:

`state` (GstPlay.PlayState) –

a GstPlay.PlayState

Returns (str) –

a string with the name of the state.

Since : 1.20

## Function Macros

### GST_PLAY_CAST

    #define GST_PLAY_CAST(obj)        ((GstPlay*)(obj))

Since : 1.20

## Enumerations

### GstPlayColorBalanceType

##### Members

`GST_PLAY_COLOR_BALANCE_HUE` (3) –

hue or color balance.

`GST_PLAY_COLOR_BALANCE_BRIGHTNESS` (0) –

brightness or black level.

`GST_PLAY_COLOR_BALANCE_SATURATION` (2) –

color saturation or chroma gain.

`GST_PLAY_COLOR_BALANCE_CONTRAST` (1) –

contrast or luma gain.

Since : 1.20

### GstPlay.PlayColorBalanceType

##### Members

`GstPlay.PlayColorBalanceType.HUE` (3) –

hue or color balance.

`GstPlay.PlayColorBalanceType.BRIGHTNESS` (0) –

brightness or black level.

`GstPlay.PlayColorBalanceType.SATURATION` (2) –

color saturation or chroma gain.

`GstPlay.PlayColorBalanceType.CONTRAST` (1) –

contrast or luma gain.

Since : 1.20

### GstPlay.PlayColorBalanceType

##### Members

`GstPlay.PlayColorBalanceType.HUE` (3) –

hue or color balance.

`GstPlay.PlayColorBalanceType.BRIGHTNESS` (0) –

brightness or black level.

`GstPlay.PlayColorBalanceType.SATURATION` (2) –

color saturation or chroma gain.

`GstPlay.PlayColorBalanceType.CONTRAST` (1) –

contrast or luma gain.

Since : 1.20

### GstPlayError

##### Members

`GST_PLAY_ERROR_FAILED` (0) –

generic error.

Since : 1.20

### GstPlay.PlayError

##### Members

`GstPlay.PlayError.FAILED` (0) –

generic error.

Since : 1.20

### GstPlay.PlayError

##### Members

`GstPlay.PlayError.FAILED` (0) –

generic error.

Since : 1.20

### GstPlayMessage

##### Members

`GST_PLAY_MESSAGE_URI_LOADED` (0) –

Source element was initalized for set URI

`GST_PLAY_MESSAGE_POSITION_UPDATED` (1) –

Sink position changed

`GST_PLAY_MESSAGE_DURATION_CHANGED` (2) –

Duration of stream changed

`GST_PLAY_MESSAGE_STATE_CHANGED` (3) –

State changed, see GstPlayState

`GST_PLAY_MESSAGE_BUFFERING` (4) –

Pipeline is in buffering state, message contains the percentage value of the decoding buffer

`GST_PLAY_MESSAGE_END_OF_STREAM` (5) –

Sink has received EOS

`GST_PLAY_MESSAGE_ERROR` (6) –

Message contains an error

`GST_PLAY_MESSAGE_WARNING` (7) –

Message contains an error

`GST_PLAY_MESSAGE_VIDEO_DIMENSIONS_CHANGED` (8) –

Video sink received format in different dimensions than before

`GST_PLAY_MESSAGE_MEDIA_INFO_UPDATED` (9) –

A media-info property has changed, message contains current GstPlayMediaInfo

`GST_PLAY_MESSAGE_VOLUME_CHANGED` (10) –

The volume of the audio ouput has changed

`GST_PLAY_MESSAGE_MUTE_CHANGED` (11) –

Audio muting flag has been toggled

`GST_PLAY_MESSAGE_SEEK_DONE` (12) –

Any pending seeking operation has been completed

Since : 1.20 Types of messages that will be posted on the play API bus. See also #gst_play_get_message_bus()

### GstPlay.PlayMessage

##### Members

`GstPlay.PlayMessage.URI_LOADED` (0) –

Source element was initalized for set URI

`GstPlay.PlayMessage.POSITION_UPDATED` (1) –

Sink position changed

`GstPlay.PlayMessage.DURATION_CHANGED` (2) –

Duration of stream changed

`GstPlay.PlayMessage.STATE_CHANGED` (3) –

State changed, see GstPlay.PlayState

`GstPlay.PlayMessage.BUFFERING` (4) –

Pipeline is in buffering state, message contains the percentage value of the decoding buffer

`GstPlay.PlayMessage.END_OF_STREAM` (5) –

Sink has received EOS

`GstPlay.PlayMessage.ERROR` (6) –

Message contains an error

`GstPlay.PlayMessage.WARNING` (7) –

Message contains an error

`GstPlay.PlayMessage.VIDEO_DIMENSIONS_CHANGED` (8) –

Video sink received format in different dimensions than before

`GstPlay.PlayMessage.MEDIA_INFO_UPDATED` (9) –

A media-info property has changed, message contains current GstPlay.PlayMediaInfo

`GstPlay.PlayMessage.VOLUME_CHANGED` (10) –

The volume of the audio ouput has changed

`GstPlay.PlayMessage.MUTE_CHANGED` (11) –

Audio muting flag has been toggled

`GstPlay.PlayMessage.SEEK_DONE` (12) –

Any pending seeking operation has been completed

Since : 1.20 Types of messages that will be posted on the play API bus. See also #gst_play_get_message_bus()

### GstPlay.PlayMessage

##### Members

`GstPlay.PlayMessage.URI_LOADED` (0) –

Source element was initalized for set URI

`GstPlay.PlayMessage.POSITION_UPDATED` (1) –

Sink position changed

`GstPlay.PlayMessage.DURATION_CHANGED` (2) –

Duration of stream changed

`GstPlay.PlayMessage.STATE_CHANGED` (3) –

State changed, see GstPlay.PlayState

`GstPlay.PlayMessage.BUFFERING` (4) –

Pipeline is in buffering state, message contains the percentage value of the decoding buffer

`GstPlay.PlayMessage.END_OF_STREAM` (5) –

Sink has received EOS

`GstPlay.PlayMessage.ERROR` (6) –

Message contains an error

`GstPlay.PlayMessage.WARNING` (7) –

Message contains an error

`GstPlay.PlayMessage.VIDEO_DIMENSIONS_CHANGED` (8) –

Video sink received format in different dimensions than before

`GstPlay.PlayMessage.MEDIA_INFO_UPDATED` (9) –

A media-info property has changed, message contains current GstPlay.PlayMediaInfo

`GstPlay.PlayMessage.VOLUME_CHANGED` (10) –

The volume of the audio ouput has changed

`GstPlay.PlayMessage.MUTE_CHANGED` (11) –

Audio muting flag has been toggled

`GstPlay.PlayMessage.SEEK_DONE` (12) –

Any pending seeking operation has been completed

Since : 1.20 Types of messages that will be posted on the play API bus. See also #gst_play_get_message_bus()

### GstPlaySnapshotFormat

##### Members

`GST_PLAY_THUMBNAIL_RAW_NATIVE` (0) –

raw native format.

`GST_PLAY_THUMBNAIL_RAW_xRGB` (1) –

raw xRGB format.

`GST_PLAY_THUMBNAIL_RAW_BGRx` (2) –

raw BGRx format.

`GST_PLAY_THUMBNAIL_JPG` (3) –

jpeg format.

`GST_PLAY_THUMBNAIL_PNG` (4) –

png format.

Since : 1.20

### GstPlay.PlaySnapshotFormat

##### Members

`GstPlay.PlaySnapshotFormat.RAW_NATIVE` (0) –

raw native format.

`GstPlay.PlaySnapshotFormat.RAW_XRGB` (1) –

raw xRGB format.

`GstPlay.PlaySnapshotFormat.RAW_BGRX` (2) –

raw BGRx format.

`GstPlay.PlaySnapshotFormat.JPG` (3) –

jpeg format.

`GstPlay.PlaySnapshotFormat.PNG` (4) –

png format.

Since : 1.20

### GstPlay.PlaySnapshotFormat

##### Members

`GstPlay.PlaySnapshotFormat.RAW_NATIVE` (0) –

raw native format.

`GstPlay.PlaySnapshotFormat.RAW_XRGB` (1) –

raw xRGB format.

`GstPlay.PlaySnapshotFormat.RAW_BGRX` (2) –

raw BGRx format.

`GstPlay.PlaySnapshotFormat.JPG` (3) –

jpeg format.

`GstPlay.PlaySnapshotFormat.PNG` (4) –

png format.

Since : 1.20

### GstPlayState

##### Members

`GST_PLAY_STATE_STOPPED` (0) –

the play is stopped.

`GST_PLAY_STATE_BUFFERING` (1) –

the play is buffering.

`GST_PLAY_STATE_PAUSED` (2) –

the play is paused.

`GST_PLAY_STATE_PLAYING` (3) –

the play is currently playing a stream.

Since : 1.20

### GstPlay.PlayState

##### Members

`GstPlay.PlayState.STOPPED` (0) –

the play is stopped.

`GstPlay.PlayState.BUFFERING` (1) –

the play is buffering.

`GstPlay.PlayState.PAUSED` (2) –

the play is paused.

`GstPlay.PlayState.PLAYING` (3) –

the play is currently playing a stream.

Since : 1.20

### GstPlay.PlayState

##### Members

`GstPlay.PlayState.STOPPED` (0) –

the play is stopped.

`GstPlay.PlayState.BUFFERING` (1) –

the play is buffering.

`GstPlay.PlayState.PAUSED` (2) –

the play is paused.

`GstPlay.PlayState.PLAYING` (3) –

the play is currently playing a stream.

Since : 1.20

## Constants

### GST_PLAY_ERROR

    #define GST_PLAY_ERROR                         (gst_play_error_quark ())

Since : 1.20

### GST_TYPE_PLAY_COLOR_BALANCE_TYPE

    #define GST_TYPE_PLAY_COLOR_BALANCE_TYPE            (gst_play_color_balance_type_get_type ())

Since : 1.20

### GST_TYPE_PLAY_ERROR

    #define GST_TYPE_PLAY_ERROR                    (gst_play_error_get_type ())

Since : 1.20

### GST_TYPE_PLAY_MESSAGE

    #define GST_TYPE_PLAY_MESSAGE                  (gst_play_message_get_type ())

Since : 1.20

### GST_TYPE_PLAY_STATE

    #define GST_TYPE_PLAY_STATE                    (gst_play_state_get_type ())

Since : 1.20

The results of the search are